<%@ Page Language="vb" AutoEventWireup="false" Codebehind="CustomerList.aspx.vb" Inherits="EasyProjects.Web.GUI.CustomerList"%>
<%@ Register TagPrefix="uc2" TagName="RichGridPagers" Src="./Controls/RichGridPagers.ascx" %>
<%@ Register TagPrefix="uc1" TagName="Banner" Src="Banner.ascx" %>
<%@ Register TagPrefix="uc1" TagName="Footer" Src="Footer.ascx" %>
<%@ Register TagPrefix="cc2" Namespace="SharedControls" Assembly="SharedControls" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
	<HEAD>
		<title>Customers | Easy Projects .NET</title>
		<meta name="GENERATOR" content="Microsoft Visual Studio .NET 7.1">
		<meta name="CODE_LANGUAGE" content="Visual Basic .NET 7.1">
		<meta name="vs_defaultClientScript" content="JavaScript">
		<meta name="vs_targetSchema" content="http://schemas.microsoft.com/intellisense/ie5">
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
		<LINK href="style.css" type="text/css" rel="stylesheet">
		<script type="text/javascript" language="javascript" src="script.js"></script>
	</HEAD>
	<body>
		<FORM id="Form1" method="post" runat="server">
			<TABLE id="Table1" height="100%" cellSpacing="0" cellPadding="0" width="100%" border="0">
				<TR height="1%">
					<TD vAlign="top">
						<uc1:Banner id="Banner1" runat="server"></uc1:Banner></TD>
				</TR>
				<TR vAlign="top" height="80%">
					<TD style="PADDING-RIGHT: 10px; PADDING-LEFT: 10px; PADDING-BOTTOM: 10px; PADDING-TOP: 10px">
						<TABLE class="panel" id="Table2" cellSpacing="5" cellPadding="5" width="100%" border="0">
							<TR>
								<TD class="title">{CUST_TITLE}</TD>
							</TR>
							<TR>
								<TD>
									<TABLE id="Table4" cellSpacing="2" cellPadding="2" border="0">
										<TR>
											<TD>
												<cc2:myimagebutton id="NewUserButton" runat="server" ImageUrl="images/new_customer_on.gif" DisabledImageUrl="images/new_customer_off.gif"></cc2:myimagebutton></TD>
										</TR>
									</TABLE>
								</TD>
							</TR>
							<TR>
								<TD>
									<TABLE id="nodataTable" width="100%" border="0" runat="server">
										<TR>
											<TD>{NODATAMSG}</TD>
										</TR>
									</TABLE>
									<script runat="server" language="vb">
										function formatStatus(status as boolean) as string
											return iif(status, "{STAT_ENABLED}", "{STAT_DISABLED}")
										end function
									</script>
									<asp:DataGrid id="custList" AllowPaging="True" PageSize="30" runat="server" AllowSorting="true"
										AutoGenerateColumns="False" CssClass="object-list" Width="100%">
										<AlternatingItemStyle CssClass="list-alt-item"></AlternatingItemStyle>
										<ItemStyle CssClass="list-item"></ItemStyle>
										<HeaderStyle CssClass="object-list-header"></HeaderStyle>
										<PagerStyle Visible="False"></PagerStyle>
										<Columns>
											<asp:HyperLinkColumn DataNavigateUrlField="CustomerID" DataNavigateUrlFormatString="CustDetails.aspx?id={0}"
												DataTextField="CompanyName" SortExpression="CompanyName" HeaderText="{COL_COMPANY}">
												<HeaderStyle Width="40%" CssClass="object-list-header"></HeaderStyle>
												<ItemStyle CssClass="list-item-inst"></ItemStyle>
											</asp:HyperLinkColumn>
											<asp:TemplateColumn SortExpression="Status" HeaderText="{COL_STATUS}">
												<HeaderStyle Width="10%" CssClass="object-list-header"></HeaderStyle>
												<ItemStyle CssClass="list-item-inst"></ItemStyle>
												<ItemTemplate>
													<%# formatStatus(DataBinder.Eval(Container, "DataItem.Status")) %>
												</ItemTemplate>
											</asp:TemplateColumn>
											<asp:TemplateColumn SortExpression="Notes" HeaderText="{COL_COMMENTS}">
												<HeaderStyle Width="40%" CssClass="object-list-header"></HeaderStyle>
												<ItemStyle CssClass="list-item-inst"></ItemStyle>
												<ItemTemplate>
													<%# Convert.ToString(DataBinder.Eval(Container, "DataItem.Notes")).Replace(vbCrLf, "<br>") %>
												</ItemTemplate>
											</asp:TemplateColumn>
											<asp:TemplateColumn HeaderText="{COL_ADD_USER}">
												<HeaderStyle Width="10%" CssClass="object-list-header"></HeaderStyle>
												<ItemStyle CssClass="list-action-item" VerticalAlign="Top"></ItemStyle>
												<ItemTemplate>
													<asp:HyperLink id="hlAddNewUser" BorderWidth="0" runat="server" ImageUrl="images/add_new_user.gif"></asp:HyperLink>
												</ItemTemplate>
											</asp:TemplateColumn>
										</Columns>
									</asp:DataGrid>
									<uc2:RichGridPagers id="RichGridPagers2" runat="server"></uc2:RichGridPagers>
								</TD>
							</TR>
						</TABLE>
					</TD>
				</TR>
				<TR height="*">
					<TD vAlign="bottom">
						<uc1:Footer id="Footer1" runat="server"></uc1:Footer></TD>
				</TR>
			</TABLE>
		</FORM>
	</body>
</HTML>
