<%@ Control Language="vb" AutoEventWireup="false" Codebehind="MessageBoard.ascx.vb" Inherits="EasyProjects.Web.GUI.MessageBoardControl" TargetSchema="http://schemas.microsoft.com/intellisense/ie5" %>
<%@ Register TagPrefix="cc1" Namespace="SharedControls" Assembly="SharedControls" %>
<TABLE id="Table1" cellSpacing="0" cellPadding="0" width="100%" border="0">
	<TR Width="100%">
		<TD width="100%" colSpan="1"><STRONG> {CTRL_TITLE}</STRONG></TD>
	</TR>
	<TR height="86" Width="100%">
		<TD width="100%" colSpan="1" height="86">
			<P><asp:requiredfieldvalidator id="msgValid" runat="server" ErrorMessage="{VAL_MSG}" ControlToValidate="NewMessage"
					EnableViewState="False"></asp:requiredfieldvalidator><br>
				<asp:textbox id="NewMessage" Width="100%" runat="server" TextMode="MultiLine" Height="86"></asp:textbox></P>
		</TD>
	</TR>
	<TR>
		<TD style="HEIGHT: 57px" align="left" colSpan="1"><cc1:myimagebutton id="Post" runat="server" DisabledImageUrl="images/post_disabled.png" ImageUrl="images/post.png"></cc1:myimagebutton><BR>
			<BR>
		</TD>
	</TR>
</TABLE>
<br>
<asp:datagrid id="dgMessages" Width="100%" runat="server" ShowHeader="False" AutoGenerateColumns="False"
	BorderWidth="0px">
	<Columns>
		<asp:TemplateColumn>
			<ItemStyle Width="100%"></ItemStyle>
			<ItemTemplate>
				<HR>
				<SPAN style="FONT-SIZE: 13px">
					<%# DataBinder.Eval(Container.DataItem, "MessageTextHTML") %>
				</SPAN>
				<BR>
				<BR>
				<SPAN class="repeater-info" style="FONT-SIZE: 9px"><LABEL id="Label4" runat="server">
						{PST_BY}&nbsp; </LABEL>
					<%# DataBinder.Eval(Container.DataItem, "PostedByName") %>
				</SPAN>
				<BR>
				<SPAN class="repeater-info" style="FONT-SIZE: 9px"><LABEL id="Label5" runat="server">
						{PST_DATE}: </LABEL>
					<%# DataBinder.Eval(Container.DataItem, "PostDate") %>
				</SPAN>
				<BR>
				<SPAN class="repeater-info" style="FONT-SIZE: 9px"><LABEL id="Label6" runat="server">
						{ID}: </LABEL>
					<%# DataBinder.Eval(Container.DataItem, "MessageID") %>
				</SPAN>
			</ItemTemplate>
			<EditItemTemplate>
				<asp:TextBox id=txbEdMessageText Width="100%" runat="server" Height="86px" TextMode="MultiLine" Text='<%# DataBinder.Eval(Container.DataItem, "MessageText") %>'>
				</asp:TextBox>
				<asp:RequiredFieldValidator id="rfvEdMessageText" ControlToValidate="txbEdMessageText" ErrorMessage="Message text is required"
					runat="server"></asp:RequiredFieldValidator>
			</EditItemTemplate>
		</asp:TemplateColumn>
		<asp:TemplateColumn>
			<ItemStyle Width="10px"></ItemStyle>
			<ItemTemplate>
				<table border="0" cellspacing="0" cellpadding="2">
				<tr>
					<td>
						<asp:ImageButton id="btnEdit" runat="server" ImageUrl="images/edit.gif" ToolTip="Edit this message"
						CommandName="Edit" CausesValidation="false"></asp:ImageButton>
					</td>
				</tr>
				<tr>
					<td>
						<asp:ImageButton id="btnDelete" ImageUrl="images/delete.gif" ToolTip="Delete this message" CommandName="Delete"
						CausesValidation="False" Runat="server"></asp:ImageButton>
					</td>
				</tr>
				</table>
			</ItemTemplate>
			<EditItemTemplate>
				<table border="0" cellspacing="0" cellpadding="2">
				<tr>
					<td>
						<asp:ImageButton id="btnSave" runat="server" ImageUrl="images/icon-floppy.gif" ToolTip="Save this message"
						CommandName="Update" CausesValidation="True"></asp:ImageButton>
					</td>
				</tr>
				<tr>
					<td>
						<asp:ImageButton id="btnCancel" runat="server" ImageUrl="images/cancel.gif" ToolTip="Cancel editing"
						CommandName="Cancel" CausesValidation="false"></asp:ImageButton>
					</td>
				</tr>
				</table>
			</EditItemTemplate>
		</asp:TemplateColumn>
	</Columns>
</asp:datagrid>
