<%@ Page Language="vb" AutoEventWireup="false" Codebehind="NotificationDetails.aspx.vb" Inherits="EasyProjects.Web.GUI.NotificationDetails" %>
<%@ Register TagPrefix="uc1" TagName="Footer" Src="Footer.ascx" %>
<%@ Register TagPrefix="uc1" TagName="Banner" Src="Banner.ascx" %>
<%@ Register TagPrefix="cc2" Namespace="SharedControls" Assembly="SharedControls" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
	<HEAD>
		<title>Project Notification Setup | Easy Projects .NET</title>
		<meta name="GENERATOR" content="Microsoft Visual Studio .NET 7.1">
		<meta name="CODE_LANGUAGE" content="Visual Basic .NET 7.1">
		<meta name="vs_defaultClientScript" content="JavaScript">
		<meta name="vs_targetSchema" content="http://schemas.microsoft.com/intellisense/ie5">
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
		<LINK href="style.css" type="text/css" rel="stylesheet">
		<script language="javascript" src="script.js" type="text/javascript"></script>
	</HEAD>
	<body id="pageBody" runat="server">
		<FORM id="Form1" method="post" runat="server">
			<input type=hidden name="inputAddedUsers" value=""/>
			<input type=hidden name="inputRemovedUsers" value=""/>
			<!-- begin tableGlobal -->
			<TABLE id="TableGlobal" height="100%" cellSpacing="0" cellPadding="0" width="100%" border="0">
				<TR height="1%">					
					<TD vAlign="top"><uc1:banner id="Banner1" runat="server"></uc1:banner></TD>
				</TR>
				<TR valign="top" height="80%">
					<TD style="PADDING-RIGHT: 10px; PADDING-LEFT: 10px; PADDING-BOTTOM: 10px; PADDING-TOP: 10px">
						<!-- begin table before TBODY -->
						<table border="0" cellpadding="0" cellspacing="0" class="panel" width="100%">
							<tbody>
								<tr>
									<TD width="8"><IMG height="8" src="images/spacer.gif" width="8"></TD>
								</tr>
								<TR>
									<td>
										<table border="0" width="750px" cellpadding="0" cellspacing="0">
											<tr>
												<TD class="title" width="300px" align="left" style="WHITE-SPACE: nowrap" height="1%">{NOTIFICATIONPAGE_TITLE}</TD>
												<td align="right">																									
													<cc2:myimagebutton id="buttonSave_1" runat="server" ImageUrl="images/save_and_close.png" DisabledImageUrl="images/save_and_close_disabled.png"></cc2:myimagebutton>
													<cc2:myimagebutton id="buttonCancel_1" runat="server" ImageUrl="images/cancel.png" DisabledImageUrl="images/cancel_disabled.png" CausesValidation="False"></cc2:myimagebutton>
												</td>
											</tr>
										</table>
									</td>
								</TR>
								<TR>
									<TD align="left" colSpan="2">
										<P>
											<TABLE class="ex" id="Table2" border="0" width="100%">
												<TR>
													<TD vAlign="top" width="100%"><IMG height="21" src="images/ex.gif" width="21" align="absMiddle">&nbsp;{INFO_MSG}</TD>
												</TR>
											</TABLE>
											<BR>
											<asp:label id="ErrorMessage" runat="server" ForeColor="Red" enableviewstate="False" CssClass="standard-text"></asp:label></P>
										<asp:validationsummary id="vsSummary" runat="server" Width="592px" HeaderText="{VALID_SUMM_TEXT}"></asp:validationsummary>
									</TD>
								</TR>										
								<tr vAlign="top" height="*" >
									<td style="PADDING-LEFT: 15px">
										<table border="0" cellpadding="0" cellspacing="0">
										<tr>
										<td>
										<strong>{TITLE}:</strong>
										</td>
										</tr>
										<tr>
										<td align="center" valign="middle">
										<asp:TextBox ID="textBoxTitle" Runat="server" CssClass="input" Width="264px" MaxLength="100"></asp:TextBox>
										<asp:RequiredFieldValidator ID="requiredFiledValidatorTitle" ControlToValidate="textBoxTitle" ErrorMessage="{VALID_TITLE}" Runat="server">*</asp:RequiredFieldValidator>
										</td>
										<td align="center" valign="middle" >
											<asp:CheckBox ID="checkBoxDisable" AutoPostBack="False" Text="{DISABLE_RULE}" Font-Bold="True" Runat="server"></asp:CheckBox>
										</td>										
										</tr>
										</table>
										<br>
										<asp:PlaceHolder id="placeHolder4Bind" Runat="server">
											<table id="tableSelectRespondents" width="100%" border="0" cellpadding="0" cellspacing="0" runat="server">
												<tr>
													<td>
														<strong>{CHOOSE_ADDRESSES}</strong>															
														<br>
													</td>
												</tr>
												<tr>
													<td height="30px">
														<asp:placeholder id="placeHolderPMChecked" visible=<%# CheckedBox( "PM" ) %> runat=server> 
															<input type="radio" value="PM" name="radio" checked  />
														</asp:PlaceHolder>
														<asp:placeholder id="placeHolderPMUnChecked" visible=<%# CheckedBox( "PM" ) = false %> runat=server> 
															<input type="radio" value="PM" name="radio" />													
														</asp:PlaceHolder>
														&nbsp;{PROJECT_MEMBERS}
													</td>
												</tr>
												<tr>
													<td height="30px">
														<asp:placeholder id="placeHolderAUChecked" visible=<%# CheckedBox( "AU" ) %> runat=server> 
															<input type="radio" value="AU" name="radio" checked  />
														</asp:PlaceHolder>
														<asp:placeholder id="placeHolderAUUnChecked" visible=<%# CheckedBox( "AU" ) = false %> runat=server> 
															<input type="radio" value="AU" name="radio" />
														</asp:PlaceHolder>
														&nbsp;{ASSIGNED_USERS}
													</td>
												</tr>
												<tr>
													<td height="30px">
														<asp:placeholder id="placeHolderNotAllUnChecked" visible=<%# CheckedBox( "U" ) %> runat=server> 
															<input type="radio" value="U" name="radio" checked  />
														</asp:PlaceHolder>
														<asp:placeholder id="placeHolderAllUnChecked" visible=<%# CheckedBox( "U" ) = false %> runat=server> 
															<input type="radio" value="U" name="radio" />
														</asp:PlaceHolder>
														&nbsp;{NONE_USERS}
														
													</td>
												</tr>
												<tr>							
													<td height="30px">
														<br>
														<asp:placeholder id="placeHolderBUChecked" visible=<%# CheckedBox( "BU" ) %> runat=server> 
															<input type="checkbox" checked name="checkBoxManageUsers" onclick="Click_CheckBrowseUsers()" />
														</asp:PlaceHolder>
														<asp:placeholder id="placeHolderBUUnChecked" visible=<%# CheckedBox( "BU" ) = false %> runat=server> 
															<input type="checkbox" name="checkBoxManageUsers" onclick="Click_CheckBrowseUsers()" />
														</asp:PlaceHolder>
														&nbsp;{ADDED_USERS}&nbsp;														
													</td>
												</tr>
												<tr valign=top>
													<td>																	
														<span id="spanBrowseUsers" style="<%#spanStyle%>" >
															<table border="0" cellpadding="0" cellspacing="0">
																<tr valign=middle>
																	<td valign="top">
																		<asp:ListBox ID="listBoxBrowseUsers" CssClass="input" DataSource=<%# ListAllUsers %> DataTextField="DisplayName" DataValueField="UserID" SelectionMode=Multiple Width="150px" Height="150px" Runat=server></asp:ListBox>
																	</td>
																	<td>&nbsp;</td>
																	<td>
																		<table>
																			<tr>
																				<td>
																					<span onclick="AddUser()"><img src="images/add.gif"></span>
																				</td>
																			</tr>
																			<tr>
																				<td>
																					<span onclick="RemoveUser()"><img src="images/remove.gif" ></span>																					
																				</td>
																			</tr>
																		</table>
																	</td>
																	<td>&nbsp;</td>
																	<td valign="top">												
																		<asp:ListBox ID="listBoxAddedUsers" CssClass="input" DataSource=<%# ListAditionalUsers %> DataTextField="DisplayName" DataValueField="UserID" SelectionMode=Multiple Width="150px" Height="150px" Runat=server></asp:ListBox>
																	</td>
																</tr>
															</table>
														</span>																					
													</td>
												</tr>
											</table>
										</asp:PlaceHolder>
										<br><br>
										<table id="tableSelectActions" width="100%" border="0" cellpadding="0" cellspacing="0" runat="server">
											<tr>
												<td>
													<strong>{CHOOSE_ACTIONS}</strong>																										
												</td>
											</tr>
											<tr>
												<td><img src="images/spacer.img" width="1px" height="2px"/></td>
											</tr>
											<tr>
												<td valign=top>
													<asp:Repeater id="repeaterTask" DataSource=<%# taskTypes %> Runat="server">
														<HeaderTemplate>
														<table border=0 cellpadding=0 cellspacing=0>
															<tr bgcolor="075b98" height="25px" style="FONT-WEIGHT: bold; COLOR: white;">
																<td align=left width="150px"><strong>{COL_TASKTYPE}</strong></td>
																<td width="2px" bgcolor="FFFFFF" style="PADDING-RIGHT: 0px; PADDING-LEFT: 0px; PADDING-BOTTOM: 0px; MARGIN: 0px; PADDING-TOP: 0px"><img src="images/spacer.gif"></td>
																<td align=center width="70px"><strong>{COL_ADD}</strong></td>
																<td width="2px" bgcolor="FFFFFF" style="PADDING-RIGHT: 0px; PADDING-LEFT: 0px; PADDING-BOTTOM: 0px; MARGIN: 0px; PADDING-TOP: 0px"><img src="images/spacer.gif"/></td>
																<td align=center width="70px"><strong>{COL_EDIT}</strong></td>
																<td width="2px" bgcolor="FFFFFF" style="PADDING-RIGHT: 0px; PADDING-LEFT: 0px; PADDING-BOTTOM: 0px; MARGIN: 0px; PADDING-TOP: 0px"><img src="images/spacer.gif"/></td>
																<td align=center width="70px"><strong>{COL_ASSIGN}</strong></td>
																<td width="2px" bgcolor="FFFFFF" style="PADDING-RIGHT: 0px; PADDING-LEFT: 0px; PADDING-BOTTOM: 0px; MARGIN: 0px; PADDING-TOP: 0px"><img src="images/spacer.gif"/></td>
																<td align=center width="70px"><strong>{COL_COMPLETE}</strong></td>
																<td width="2px" bgcolor="FFFFFF" style="PADDING-RIGHT: 0px; PADDING-LEFT: 0px; PADDING-BOTTOM: 0px; MARGIN: 0px; PADDING-TOP: 0px"><img src="images/spacer.gif"/></td>
																<td align=center width="70px"><strong>{COL_DELETE}</strong></td>
															</tr>																		
														</HeaderTemplate>
														<SeparatorTemplate>
															<tr><td colspan="11" height="2px"><img src="images/spacer.gif"/></td></tr>
														</SeparatorTemplate>
														<ItemTemplate>																							
															<tr bgcolor=<%# SetRowColor( CType(Container.DataItem, String) )%> height="30px">
																<td><%# CType(Container.DataItem, String) %></td>
																<td width="2px" bgcolor="FFFFFF" style="PADDING-RIGHT: 0px; PADDING-LEFT: 0px; PADDING-BOTTOM: 0px; MARGIN: 0px; PADDING-TOP: 0px"><img src="images/spacer.gif" border="0" width="2"></td>
																<td align=center width="70px">
																	<asp:placeholder id="plAddChecked" visible=<%# SetChecked( CType(Container.DataItem, String), "Add" ) %> runat=server> 
																		<input type="checkbox" selectedChk="false" name="checkBoxAdd<%# CType(Container.DataItem, String) %>" checked />															
																	</asp:PlaceHolder>
																	<asp:placeholder id="plAddUnChecked" visible=<%# SetChecked( CType(Container.DataItem, String), "Add" ) = false %> runat=server> 
																		<input type="checkbox" selectedChk="false" name="checkBoxAdd<%# CType(Container.DataItem, String) %>" />
																	</asp:PlaceHolder>
																</td>
																<td width="2px" bgcolor="FFFFFF" style="PADDING-RIGHT: 0px; PADDING-LEFT: 0px; PADDING-BOTTOM: 0px; MARGIN: 0px; PADDING-TOP: 0px"><img src="images/spacer.gif"/></td>
																<td align=center width="70px">
																	<asp:placeholder id="plEditChecked" visible=<%# SetChecked( CType(Container.DataItem, String), "Edit" ) %> runat=server> 
																		<input type="checkbox" selectedChk="false" name="checkBoxEdit<%# CType(Container.DataItem, String) %>" <%# SetEnable( CType(Container.DataItem, String), "Edit" ) %> checked />
																	</asp:PlaceHolder>
																	<asp:placeholder id="plEditUnChecked" visible=<%# SetChecked( CType(Container.DataItem, String), "Edit" ) = false %> runat=server> 
																		<input type="checkbox" selectedChk="false" name="checkBoxEdit<%# CType(Container.DataItem, String) %>" <%# SetEnable( CType(Container.DataItem, String), "Edit" ) %> />
																	</asp:PlaceHolder>
																</td>
																<td width="2px" bgcolor="FFFFFF" style="PADDING-RIGHT: 0px; PADDING-LEFT: 0px; PADDING-BOTTOM: 0px; MARGIN: 0px; PADDING-TOP: 0px"><img src="images/spacer.gif"/></td>
																<td align=center width="70px">
																	<asp:placeholder id="plAssignChecked" visible=<%# SetChecked( CType(Container.DataItem, String), "Assign" ) %> runat=server> 
																		<input type="checkbox" selectedChk="false" name="checkBoxAssign<%# CType(Container.DataItem, String) %>" <%# SetEnable( CType(Container.DataItem, String), "Assign" ) %> checked />
																	</asp:PlaceHolder>
																	<asp:placeholder id="plAssignUnChecked" visible=<%# SetChecked( CType(Container.DataItem, String), "Assign" ) = false %> runat=server> 
																		<input type="checkbox" selectedChk="false" name="checkBoxAssign<%# CType(Container.DataItem, String) %>" <%# SetEnable( CType(Container.DataItem, String), "Assign" ) %> />
																	</asp:PlaceHolder>
																</td>
																<td width="2px" bgcolor="FFFFFF" style="PADDING-RIGHT: 0px; PADDING-LEFT: 0px; PADDING-BOTTOM: 0px; MARGIN: 0px; PADDING-TOP: 0px"><img src="images/spacer.gif"/></td>
																<td align=center width="70px">
																	<asp:placeholder id="plCompleteChecked" visible=<%# SetChecked( CType(Container.DataItem, String), "Complete" ) %> runat=server> 
																		<input type="checkbox" selectedChk="false" name="checkBoxComplete<%# CType(Container.DataItem, String) %>" <%# SetEnable( CType(Container.DataItem, String), "Complete" ) %> checked/>
																	</asp:PlaceHolder>
																	<asp:placeholder id="plCompleteUnChecked" visible=<%# SetChecked( CType(Container.DataItem, String), "Complete" ) = false %> runat=server> 
																		<input type="checkbox" selectedChk="false" name="checkBoxComplete<%# CType(Container.DataItem, String) %>" <%# SetEnable( CType(Container.DataItem, String), "Complete" ) %> />
																	</asp:PlaceHolder>
																</td>
																<td width="2px" bgcolor="FFFFFF" style="PADDING-RIGHT: 0px; PADDING-LEFT: 0px; PADDING-BOTTOM: 0px; MARGIN: 0px; PADDING-TOP: 0px"><img src="images/spacer.gif"/></td>
																<td align=center width="70px">
																	<asp:placeholder id="plDeleteChecked" visible=<%# SetChecked( CType(Container.DataItem, String), "Delete" ) %> runat=server> 
																		<input type="checkbox" selectedChk="false" name="checkBoxDelete<%# CType(Container.DataItem, String) %>" checked />
																	</asp:PlaceHolder>
																	<asp:placeholder id="plDeleteUnChecked" visible=<%# SetChecked( CType(Container.DataItem, String), "Delete" ) = false %> runat=server> 
																		<input type="checkbox" selectedChk="false" name="checkBoxDelete<%# CType(Container.DataItem, String) %>" />
																	</asp:PlaceHolder>
																</td>
															</tr>
														</ItemTemplate>	
														<FooterTemplate>
															</table>
														</FooterTemplate>
													</asp:Repeater>
												</td>									
											</tr>
											<tr>
												<td>
													<br>
													<span onclick="Click_SelectAll()"><img src="images/select_all.gif" style="CURSOR: hand"></span>
													&nbsp;
													<span onclick="Click_UnselectAll()"><img src="images/unselect_all.gif" style="CURSOR: hand"></span>
													&nbsp;
													<cc2:myimagebutton ID="buttonReset" ImageUrl="images/reset.gif" Runat="server"></cc2:myimagebutton>
												</td>
											</tr>
										</table>									
									</td>
								</tr>
								<tr style="PADDING-LEFT: 10px">
									<td>
										<table border="0" cellpadding="0" cellspacing="0" width="750px">
											<tr>
												<td align="left" >
													<input style="DISPLAY: none" type="button" name="buttonPreview" value="PreView" />
												</td>
												<td align="right">													
													<cc2:myimagebutton id="buttonSave_2" runat="server" ImageUrl="images/save_and_close.png" DisabledImageUrl="images/save_and_close_disabled.png"></cc2:myimagebutton>
													<cc2:myimagebutton id="buttonCancel_2" runat="server" ImageUrl="images/cancel.png" DisabledImageUrl="images/cancel_disabled.png" CausesValidation="False"></cc2:myimagebutton>
												</td>
											</tr>
										</table>
									</td>
								</tr>
							</tbody>
						</table>  
					</TD>
				</TR>
				<TR height="*">
					<TD vAlign="bottom">
						<uc1:Footer id="Footer1" runat="server"></uc1:Footer></TD>
				</TR>
			</TABLE>
		</FORM>
		<script language="javascript" for=listBoxBrowseUsers event=onclick >
			//debugger;
			var textAdded = document.all("listBoxAddedUsers");
			//unselect all in textAdded
			for ( var i=0; i<textAdded.children.length; i++ )
			{
				textAdded.children(i).selected = false;
			}
		</script>
		<script language="javascript" for=listBoxBrowseUsers event=ondblclick >
			AddUser();
		</script>
		<script language="javascript" for=listBoxAddedUsers event=onclick>
			//debugger;
			var textSource = document.all("listBoxBrowseUsers");
			//unselect all in textSource
			for ( var i=0; i<textSource.children.length; i++ )
			{
				textSource.children(i).selected = false;
			}			
		</script>
		<script language="javascript" for=listBoxAddedUsers event=ondblclick >
			RemoveUser();
		</script>
	</body>
</HTML>

