<%@ Register TagPrefix="uc2" TagName="RichGridPagers" Src="./Controls/RichGridPagers.ascx" %>
<%@ Register TagPrefix="uc1" TagName="Footer" Src="Footer.ascx" %>
<%@ Register TagPrefix="uc1" TagName="Banner" Src="Banner.ascx" %>
<%@ Register TagPrefix="cc2" Namespace="SharedControls" Assembly="SharedControls" %>
<%@ Page Language="vb" AutoEventWireup="false" Codebehind="ProjectList.aspx.vb" Inherits="EasyProjects.Web.GUI.ProjectList"%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
	<HEAD>
		<title>Projects | Easy Projects .NET</title>
		<meta content="Microsoft Visual Studio .NET 7.1" name="GENERATOR">
		<meta content="Visual Basic .NET 7.1" name="CODE_LANGUAGE">
		<meta content="JavaScript" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
		<LINK href="style.css" type="text/css" rel="stylesheet">
		<script language="javascript" src="script.js" type="text/javascript"></script>
	</HEAD>
	<body id="pageBody" runat="server">
		<FORM id="Form1" method="post" runat="server">
			<INPUT id="doDuplicate" type="hidden" name="doDuplicate" runat="server"> <INPUT id="hProjID" type="hidden" name="hProjID" runat="server">
			<INPUT id="projName" type="hidden" name="projName" runat="server">
			<TABLE id="Table1" height="100%" cellSpacing="0" cellPadding="0" width="100%" border="0">
				<TR height="1%">
					<TD vAlign="top"><uc1:banner id="Banner1" runat="server"></uc1:banner></TD>
				</TR>
				<TR vAlign="top" height="80%">
					<TD>
						<table height="100%" width="100%">
							<TR>
								<TD style="PADDING-RIGHT: 10px; PADDING-LEFT: 10px; PADDING-BOTTOM: 10px; PADDING-TOP: 10px"
									vAlign="top">
									<TABLE class="panel" id="Table3" height="100%" cellSpacing="10" cellPadding="10" width="100%"
										border="0">
										<TR height="1%">
											<TD class="title">{PROJECTPAGE_TITLE}</TD>
										</TR>
										<TR height="1%">
											<TD>
												<TABLE id="Table4" cellSpacing="2" cellPadding="2" border="0">
													<TR>
														<TD><cc2:myimagebutton id="NewProjectButton" runat="server" DisabledImageUrl="images/create_new_project_disabled.png"
																ImageUrl="images/create_new_project.png"></cc2:myimagebutton></TD>
														<TD><cc2:myimagebutton id="ImportProjectButton" title="Import MS Project XML File" runat="server" DisabledImageUrl="images/import_project_disabled.png"
																ImageUrl="images/import_project.png" AlternateText="Import MS Project XML File" Visible="True"></cc2:myimagebutton></TD>
													</TR>
												</TABLE>
												<asp:label id="lblErr" runat="server" ForeColor="Red"></asp:label></TD>
										</TR>
										<TR vAlign="top" height="1%">
											<TD>
												<TABLE class="filter-table" id="tblFilter" style="WIDTH: 408px; HEIGHT: 28px" width="408"
													border="0" runat="server">
													<TR>
														<TD style="WIDTH: 123px" vAlign="middle" align="left">&nbsp;{FLT_CUSTOMER}:</TD>
														<TD vAlign="middle" align="left" width='*"'><asp:dropdownlist id="ddlCustomer" runat="server" Width="161px" CssClass="input"></asp:dropdownlist></TD>
														<TD vAlign="middle" align="right"><asp:imagebutton id="btnRefresh" runat="server" ImageUrl="images/refresh.png"></asp:imagebutton></TD>
													</TR>
												</TABLE>
											</TD>
										</TR>
										<TR vAlign="top" height="*">
											<TD>
												<TABLE id="nodataTable" width="100%" border="0" runat="server">
													<TR>
														<TD>{NODATAMSG}</TD>
													</TR>
												</TABLE>
												<asp:datagrid id="ProjectsGrid" runat="server" CssClass="object-list" AllowSorting="True" AutoGenerateColumns="False"
													BorderStyle="Solid"  AllowPaging="True" PageSize="30" EnableViewState="True">
													<AlternatingItemStyle CssClass="list-alt-item" VerticalAlign="Middle"></AlternatingItemStyle>
													<ItemStyle CssClass="list-item" VerticalAlign="Middle"></ItemStyle>
													<HeaderStyle CssClass="object-list-header"></HeaderStyle>
													<Columns>
														<asp:HyperLinkColumn DataNavigateUrlField="ProjectID" DataNavigateUrlFormatString="ProjectDetails.aspx?id={0}"
															DataTextField="Name" SortExpression="Name" HeaderText="{COL_PROJECT}">
															<HeaderStyle Width="30%" CssClass="object-list-header"></HeaderStyle>
															<ItemStyle CssClass="list-item-inst-ww"></ItemStyle>
														</asp:HyperLinkColumn>
														<asp:BoundColumn DataField="ManagerDisplayName" SortExpression="ManagerDisplayName" HeaderText="{COL_MANAGER}">
															<HeaderStyle Width="25%" CssClass="object-list-header"></HeaderStyle>
															<ItemStyle CssClass="list-item-inst"></ItemStyle>
														</asp:BoundColumn>
														<asp:BoundColumn DataField="CompanyName" SortExpression="CompanyName" HeaderText="{COL_CUSTOMER}">
															<HeaderStyle Width="25%" CssClass="object-list-header"></HeaderStyle>
															<ItemStyle CssClass="list-item-inst"></ItemStyle>
														</asp:BoundColumn>
														<asp:BoundColumn DataField="PriorityName" SortExpression="Priority" HeaderText="{COL_PRIORITY}">
															<HeaderStyle Width="5%" CssClass="object-list-header"></HeaderStyle>
															<ItemStyle CssClass="list-item-inst"></ItemStyle>
														</asp:BoundColumn>
														<asp:TemplateColumn HeaderText="{COL_PROGRESS}" SortExpression="PercentCompleted">
															<HeaderStyle Width="5%" CssClass="object-list-header"></HeaderStyle>
															<ItemStyle CssClass="list-item-inst"></ItemStyle>
															<ItemTemplate>
																<img style="background-color:lightgray" title='<%# DataBinder.Eval(Container, "DataItem.PercentCompleted") %>%' src='Progress.aspx?width=50&height=5&total=100&current=<%# DataBinder.Eval(Container, "DataItem.PercentCompleted") %>' border="0">
															</ItemTemplate>
														</asp:TemplateColumn>
														<asp:BoundColumn DataField="EstCompletionDate" SortExpression="EstCompletionDate" HeaderText="{COL_COMPLETION}"
															DataFormatString="{0:d}">
															<HeaderStyle HorizontalAlign="Left" Width="10%" CssClass="object-list-header"></HeaderStyle>
															<ItemStyle CssClass="list-item-inst"></ItemStyle>
														</asp:BoundColumn>
														<asp:BoundColumn DataField="EstDuration" SortExpression="EstDuration" HeaderText="{COL_DURATION}">
															<HeaderStyle HorizontalAlign="Right" Width="5%" CssClass="object-list-header"></HeaderStyle>
															<ItemStyle HorizontalAlign="Right" CssClass="list-item-inst"></ItemStyle>
														</asp:BoundColumn>
														<asp:BoundColumn DataField="StatusName" SortExpression="StatusName" HeaderText="{COL_STATUS}">
															<HeaderStyle Width="10%" CssClass="object-list-header"></HeaderStyle>
															<ItemStyle CssClass="list-status-item" VerticalAlign="Top"></ItemStyle>
														</asp:BoundColumn>
														<asp:TemplateColumn HeaderText="{COL_VIEW}">
															<HeaderStyle Width="15%" CssClass="object-list-header"></HeaderStyle>
															<ItemStyle HorizontalAlign="Center" CssClass="list-action-item" VerticalAlign="Top"></ItemStyle>
															<ItemTemplate>
																<TABLE class="project-list-action" id="tblButtons" height="16" cellSpacing="1" cellPadding="1"
																	width="95" border="0">
																	<TR>
																		<TD width="19">
																			<cc2:MyImageButton id="btnBugList" runat="server" ImageUrl="images/bug_icon.gif" Height="16px" Width="16px"
																				DisabledImageUrl="images/empty.gif" CommandName="bugList" ToolTip="View project bugs"></cc2:MyImageButton></TD>
																		<TD width="19">
																			<cc2:MyImageButton id="btnReqList" runat="server" ImageUrl="images/request_icon.gif" Height="16px"
																				Width="16px" DisabledImageUrl="images/empty.gif" CommandName="reqList" ToolTip="View project requests"></cc2:MyImageButton></TD>
																		<TD width="19">
																			<asp:HyperLink id="hlMessages" runat="server" ImageUrl="images/message_icon.gif" Height="16px"
																				Width="16px" BorderWidth="0" ToolTip="View project messages">View project messages</asp:HyperLink></TD>
																		<TD width="19">
																			<cc2:MyImageButton id="btnTaskList" runat="server" ImageUrl="images/tasks_icon.gif" Height="16px" Width="16px"
																				DisabledImageUrl="images/empty.gif" CommandName="taskList" ToolTip="View project tasks"></cc2:MyImageButton>
																		</TD>
																		<TD width="19">
																			<asp:HyperLink id="hlAttachments" runat="server" BorderWidth="0" ImageUrl="images/attach.gif" Height="16px"
																				Width="16px" ToolTip="View project attachments">View project attachments</asp:HyperLink>
																		</TD>
																	</TR>
																</TABLE>
															</ItemTemplate>
														</asp:TemplateColumn>
														<asp:TemplateColumn HeaderText="{COL_ACTION}">
															<HeaderStyle Width="5%" CssClass="object-list-header"></HeaderStyle>
															<ItemStyle HorizontalAlign="Center" CssClass="list-action-item"></ItemStyle>
															<ItemTemplate>
																<asp:ImageButton id="btnDuplicate" runat="server" ImageUrl="images/duplicate_project.gif" CommandName="duplicateProjects"
																	ToolTip="Duplicate project"></asp:ImageButton>
															</ItemTemplate>
														</asp:TemplateColumn>
													</Columns>
													<PagerStyle HorizontalAlign="Center" Visible="False" Mode="NumericPages"></PagerStyle>
												</asp:datagrid>
												<uc2:RichGridPagers id="RichGridPagersProjects" runat="server"></uc2:RichGridPagers>
											</TD>
										</TR>
									</TABLE>
								</TD>
							</TR>
						</table>
					</TD>
				</TR>
				<TR height="*">
					<TD vAlign="bottom"><uc1:footer id="Footer1" runat="server"></uc1:footer></TD>
				</TR>
			</TABLE>
		</FORM>
	</body>
</HTML>
