<%@ Register TagPrefix="uc1" TagName="Banner" Src="Banner.ascx" %>
<%@ Register TagPrefix="uc1" TagName="Footer" Src="Footer.ascx" %>
<%@ Register TagPrefix="jsc" Namespace="JSCalendar" Assembly="JSCalendar" %>
<%@ Register TagPrefix="cc2" Namespace="SharedControls" Assembly="SharedControls" %>
<%@ Page Language="vb" AutoEventWireup="false" Codebehind="ResourcesRep.aspx.vb" Inherits="EasyProjects.Web.GUI.ResourcesRep"%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
	<HEAD>
		<title>Resource Reports | Easy Projects .NET</title>
		<meta content="Microsoft Visual Studio .NET 7.1" name="GENERATOR">
		<meta content="Visual Basic .NET 7.1" name="CODE_LANGUAGE">
		<meta content="JavaScript" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
		<LINK href="style.css" type="text/css" rel="stylesheet">
		<script language="javascript" src="script.js" type="text/javascript"></script>
		<script language="javascript">
				<!--
				var ArrayTitleHelp = new Array('{TYPE_SUMMARY}','{TYPE_DETAILED}');  
				var ArrayHelpText = new Array('{TYPE_SUMMARY_HELP}','{TYPE_DETAILED_HELP}');

				function ChangeType(type)
				{					
					var hls = document.getElementById('help_sourse');
					var hltitle = document.getElementById('title');
					
					if(hltitle.childNodes.length > 0)
							hltitle.removeChild(hltitle.childNodes.item(0));
					if(hls.childNodes.length > 0)
							hls.removeChild(hls.childNodes.item(0));				
					hltitle.appendChild(document.createTextNode(ArrayTitleHelp[type]));
					hls.appendChild(document.createTextNode(ArrayHelpText[type]));
				}
				
				//-->
		</script>
	</HEAD>
	<body id="pageBody" runat="server">
		<FORM id="Form1" method="post" runat="server">
			<TABLE id="Table1" height="100%" cellSpacing="0" cellPadding="0" width="100%" border="0">
				<TR height="1%">
					<TD vAlign="top" colSpan="2"><uc1:banner id="Banner1" runat="server"></uc1:banner></TD>
				</TR>
				<TR vAlign="top" height="80%">
					<TD>
						<table>
							<tr>
								<td>
									<!-- table after DIV - tableDiv -->
									<TABLE class="panel" id="TableDiv" style="MARGIN: 10px" height="90%" cellSpacing="5" cellPadding="5"
										width="95%" border="0">
										<TR>
											<TD width="8"><IMG height="8" src="images/spacer.gif" width="8"></TD>
											<TD vAlign="top">
												<!-- Table Report -->
												<TABLE id="TableReport" height="500" cellSpacing="20" cellPadding="0" width="100%" border="0">
													<TBODY>
														<tr height="1%">
															<td class="title">{RESOURCESREP_TITLE}</td>
														</tr>
														<TR vAlign="top" height="*">
															<TD>
																<!-- begin TableSeection -->
																<TABLE class="filter-table" id="tableSelector" cellSpacing="1" cellPadding="15" width="100%"
																	border="0" runat="server">
																	<TR>
																		<td style="PADDING-LEFT: 15px" width="100%" colSpan="5">{TITLE_SUMMARY}
																			<asp:dropdownlist id="listUser" runat="server" CssClass="input" Width="200px"></asp:dropdownlist><asp:requiredfieldvalidator id="validatorUserList" ErrorMessage="{VALIDATOR_USER}" Runat="server" InitialValue="0"
																				ControlToValidate="listUser">*</asp:requiredfieldvalidator></td>
																	</TR>
																	<tr>
																		<TD style="PADDING-LEFT: 15px" vAlign="top" width="40"><STRONG>{LABEL_FROM}:</STRONG></TD>
																		<td vAlign="top" align="left" width="100"><jsc:JSCalendarControl id="fromDate" runat="server" CssClass="standard-text" Width="80px" RangeValidatorMessage="{RANGEVALID_DATE_FROM}"
																				CompareValidatorMessage="{COMPAREVALID_DATE_FROM}" /></td>
																		<td style="WIDTH: 15px" vAlign="top" align="left"><strong>&nbsp;{LABEL_TO}:</strong></td>
																		<td vAlign="top" align="left" width="100"><jsc:JSCalendarControl id="toDate" runat="server" CssClass="standard-text" Width="80px" RangeValidatorMessage="{RANGEVALID_DATE_TO}"
																				CompareValidatorMessage="{COMPAREVALID_DATE_TO}" /></td>
																		<td width="98%">&nbsp;</td>
																	</tr>
																	<tr>
																		<td colSpan="5"><asp:validationsummary id="vsSumm" runat="server" HeaderText="{VALID_SUMM_TEXT}"></asp:validationsummary></td>
																	</tr>
																	<!-- Select Report Type -->
																	<TR>
																		<td style="PADDING-LEFT: 8px" width="300" colSpan="5">
																			<table border="0">
																				<tr>
																					<TD width="50"><STRONG>Type:</STRONG></TD>
																				</tr>
																				<tr>
																					<TD width="150"><asp:radiobutton id="rbReportTypeSummary" runat="server" CssClass="standard-text cursorpointer" Text="{TYPE_SUMMARY}"
																							Checked="True" GroupName="0"></asp:radiobutton></TD>
																				</tr>
																				<tr>
																					<td width="150"><asp:radiobutton id="rbTypeReportDetailed" runat="server" CssClass="standard-text cursorpointer"
																							Text="{TYPE_DETAILED}" GroupName="0"></asp:radiobutton></td>
																				</tr>
																				<tr>
																					<td vAlign="bottom" align="left"><br>
																						<cc2:myimagebutton id="buttonRefresh" runat="server" ImageUrl="images/refresh.png" DisabledImageUrl="images/refresh_disabled.png"></cc2:myimagebutton></td>
																				</tr>
																			</table>
																		</td>
																	</TR>
																</TABLE>
																<!--end TableSelection --><br>
																<!-- Print -->
																<table cellSpacing="0" cellPadding="0" border="0">
																	<tr>
																		<td><asp:image id="PrinterIcon" runat="server" ImageUrl="images/Printer-Icon.jpg" EnableViewState="false"
																				Visible="false"></asp:image>&nbsp;
																		</td>
																		<td><asp:hyperlink id="hlPrintReport" runat="server" Width="210px" EnableViewState="false" Visible="false"
																				NavigateUrl="" cssclass="printerlink" Target="_blank">{PRINTER}</asp:hyperlink></td>
																		<TD align="right" width="50"><asp:image id="ExportIcon" runat="server" ImageUrl="images/excel2.gif" EnableViewState="false"
																				Visible="false"></asp:image>&nbsp;
																		</TD>
																		<td><asp:hyperlink id="hlExport" runat="server" Width="200px" EnableViewState="false" Visible="false"
																				NavigateUrl="CustomReportRun.aspx?export=html" cssclass="printerlink" Target="_blank">{EXCEL}</asp:hyperlink></td>
																	</tr>
																</table>
																<!-- End Print --><br>
																<br>
																<TABLE id="tableNoData" cellSpacing="0" cellPadding="0" width="100%" border="0" runat="server">
																	<tr>
																		<td>
																			<hr color="black">
																		</td>
																	</tr>
																	<tr>	
																		<td id="nodataTable" >
																			<asp:PlaceHolder ID ="noUsers" runat="server" Visible=False>{NODATAMSG}</asp:PlaceHolder>
																		</td>
																	</tr>																	
																</TABLE>
																<!-- Table Buglist -->
																<TABLE id="tableReqList" cellSpacing="0" cellPadding="0" width="100%" border="0">
																	<TR>
																		<TD><STRONG><asp:label id="labelTitle" Runat="server" EnableViewState="False" Visible="false"></asp:label><asp:label id="labelFor" runat="server" CssClass="title" EnableViewState="False" Visible="false"></asp:label></STRONG></TD>
																	</TR>
																	<tr>
																		<td><BR>
																		</td>
																	</tr>
																	<tr>
																		<td><asp:datagrid id="grid1" runat="server"></asp:datagrid><BR>
																		</td>
																	</tr>
																	<tr>
																		<td><asp:datagrid id="grid2" runat="server"></asp:datagrid></td>
																	</tr>
																</TABLE>
																<!-- End Table Buglist --></TD>
														</TR>
													</TBODY>
												</TABLE><IMG height="8" src="images/spacer.gif" width="650">
												<!-- End TableReport --></TD>
										</TR>
									</TABLE> <!-- End table after DIV - tableDiv --></td>
								<td style="PADDING-TOP: 11px" vAlign="top" width="100%">
									<TABLE class="panel" cellSpacing="2" cellPadding="2" width="100%" border="0">
										<TR>
											<TD class="title" style="PADDING-BOTTOM: 2px"><IMG height="21" src="images/ex.gif" width="21" align="absMiddle">&nbsp;</TD>
											<td class="title" id="title" style="PADDING-BOTTOM: 2px"></td>
										</TR>
										<TR>
											<td>&nbsp;</td>
											<TD id="help_sourse" style="PADDING-TOP: 0px" vAlign="top"></TD>
										</TR>
									</TABLE>
								</td>
							</tr>
						</table>
					</TD>
				</TR>
				<tr>
					<TD width="8"><IMG height="8" src="images/spacer.gif" width="8"></TD>
				</tr>
				<TR height="*">
					<TD vAlign="bottom"><uc1:footer id="Footer1" runat="server"></uc1:footer></TD>
				</TR>
			</TABLE>
			<script language="javascript">
				<!--
					function StartChangeType()
					{					
						var rbReportTypeSummary = document.getElementById('<%=rbReportTypeSummary.ClientID%>');
						var rbTypeReportDetailed = document.getElementById('<%=rbTypeReportDetailed.ClientID%>');
						if(rbReportTypeSummary.checked)
						{
							ChangeType(0);
						}
						else
						{
							ChangeType(1);
						}
						
					}					
					StartChangeType();
					//-->
			</script>
		</FORM>
	</body>
</HTML>
