<%@ Register TagPrefix="jsc" Namespace="JSCalendar" Assembly="JSCalendar" %>
<%@ Register TagPrefix="uc1" TagName="Footer" Src="Footer.ascx" %>
<%@ Register TagPrefix="uc1" TagName="Banner" Src="Banner.ascx" %>
<%@ Register TagPrefix="cc1" Namespace="EasyProjects.Web.DatePicker" Assembly="EasyProjects.Web.DatePicker" %>
<%@ Register TagPrefix="cc2" Namespace="SharedControls" Assembly="SharedControls" %>
<%@ Page Language="vb" AutoEventWireup="false" Codebehind="Search.aspx.vb" Inherits="EasyProjects.Web.GUI.Search"%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
	<HEAD>
		<title>Search | Easy Projects .NET</title>
		<meta content="Microsoft Visual Studio .NET 7.1" name="GENERATOR">
		<meta content="Visual Basic .NET 7.1" name="CODE_LANGUAGE">
		<meta content="JavaScript" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
		<LINK href="style.css" type="text/css" rel="stylesheet">
		<script language="javascript" src="script.js" type="text/javascript"></script>
	</HEAD>
	<body id="pageBody" runat="server">
		<FORM id="Form1" method="post" runat="server">
			<TABLE id="Table1" height="100%" cellSpacing="0" cellPadding="0" width="100%" border="0">
				<TR height="1%">
					<TD vAlign="top"><uc1:banner id="Banner1" runat="server"></uc1:banner></TD>
				</TR>
				<TR vAlign="top" height="80%">
					<TD>
						<TABLE id="Table2" cellSpacing="0" cellPadding="10" width="100%" border="0">
							<TR>
								<TD>
									<TABLE class="panel" id="Table3" cellSpacing="10" cellPadding="10" width="100%" border="0">
										<TR>
											<TD class="title">{SEARCHPAGE_TITLE}</TD>
										</TR>
										<TR>
											<TD vAlign="top">
												<TABLE id="Table8" cellSpacing="1" cellPadding="1" width="500" border="0">
													<TR>
														<TD style="WIDTH: 400px" width="400"><asp:textbox id="LookFor" runat="server" Width="370px" MaxLength="70" CssClass="input"></asp:textbox><asp:requiredfieldvalidator id="rfvSearchText" runat="server" Width="16px" ControlToValidate="LookFor" ErrorMessage="{SEARCH_TEXT_EMPTY}">*</asp:requiredfieldvalidator></TD>
														<TD vAlign="top" width="77"><asp:imagebutton id="GoBtn" runat="server" ImageUrl="images/search.png"></asp:imagebutton></TD>
													</TR>
												</TABLE>
												<asp:ValidationSummary id="ValidationSummary1" runat="server" HeaderText="{VALID_SUMM_TEXT}"></asp:ValidationSummary>
											</TD>
										</TR>
										<TR>
											<TD id="tdAdvanced" vAlign="top" height="20" runat="server">
												<TABLE class="filter-table" id="Table9" cellSpacing="5" cellPadding="5" border="0">
													<TR>
														<TD style="HEIGHT: 53px" vAlign="middle" width="200"><STRONG>{SEARCH_IN}</STRONG></TD>
														<TD style="HEIGHT: 53px" vAlign="middle">
															<TABLE cellSpacing="5" cellPadding="5">
																<TR>
																	<TD><asp:checkbox id="chkProjects" runat="server" Text="{TARGET_PROJECTS}"></asp:checkbox></TD>
																	<TD><asp:checkbox id="chkTasks" runat="server" Text="{TARGET_TASKS}"></asp:checkbox></TD>
																	<TD><asp:checkbox id="chkBugs" runat="server" Text="{TARGET_BUGS}"></asp:checkbox></TD>
																	<TD><asp:checkbox id="chkRequests" runat="server" Text="{TARGET_REQUESTS}"></asp:checkbox></TD>
																	<TD><asp:checkbox id="chkTE" runat="server" Text="{TARGET_TE}"></asp:checkbox></TD>
																</TR>
															</TABLE>
														</TD>
													<TR>
														<TD style="HEIGHT: 53px" vAlign="top" width="200"><asp:checkbox id="chkDate" CssClass="cursorpointer" runat="server" Text="{FILTER_CRDATE}"></asp:checkbox></TD>
														<TD style="HEIGHT: 53px" vAlign="top">
															<TABLE>
																<TR>
																	<TD vAlign="top" style="HEIGHT: 14px"><FONT size="1"><STRONG>From</STRONG></FONT></TD>
																	<TD style="HEIGHT: 14px"><jsc:JSCalendarControl id="dtFrom" runat="server" Width="86px" CssClass="input" RangeValidatorMessage="{WEEKEND_FROM_ERROR}"
																			CompareValidatorMessage="{WEEKEND_FROM_ERROR}" /></TD>
																	<TD vAlign="top" style="HEIGHT: 14px"><FONT size="1"><STRONG>To</STRONG></FONT></TD>
																	<TD style="HEIGHT: 14px"><jsc:JSCalendarControl id="dtTo" runat="server" Width="86px" CssClass="input" RangeValidatorMessage="{WEEKEND_TO_ERROR}"
																			CompareValidatorMessage="{WEEKEND_TO_ERROR}" /></TD>
																</TR>
																<tr>
																	<td colspan="4" nowrap>
																		<div id="info_message" name="info_message" style="COLOR: red"></div>
																	</td>
																</tr>
															</TABLE>
														</TD>
													</TR>
												</TABLE>
											</TD>
										</TR>
										<TR>
											<TD height="2"><hr color="#075b98" noshade size="1" width="100%">
											</TD>
										</TR>
										<TR vAlign="top" height="*">
											<TD vAlign="top">
												<TABLE id="nodataTable" width="100%" border="0" runat="server">
													<TR>
														<TD>{NODATAMSG}</TD>
													</TR>
												</TABLE>
												<asp:datagrid id="Results" runat="server" BackColor="#000" BorderColor="#000" Width="100%" CssClass="object-list"
													CellSpacing="0" BorderWidth="0px" BorderStyle="None" PageSize="20" AutoGenerateColumns="False"
													AllowPaging="True" ShowHeader="False">
													<ItemStyle BorderWidth="0" CssClass="list-item"></ItemStyle>
													<HeaderStyle CssClass="object-list-header"></HeaderStyle>
													<Columns>
														<asp:TemplateColumn>
															<ItemTemplate>
																<TABLE cellSpacing="0" cellPadding="1" width="100%" border="0">
																	<TR>
																		<TD class="search-result" width="5%"><%# DataBinder.Eval(Container, "DataItem.ResNumber") %>.&nbsp;</TD>
																		<TD class="search-result"><%# formatTitle(DataBinder.Eval(Container, "DataItem")) %></TD>
																	</TR>
																	<TR>
																		<TD class="search-result" colSpan="3"><STRONG>{RESULT_DESCRIPTION}:</STRONG>
																			<%# formatDescription(DataBinder.Eval(Container, "DataItem.Description")) %>
																		</TD>
																	</TR>
																	<TR>
																		<TD colSpan="3">
																			<hr color="#075b98" noshade="noshade" size="1" width="100%">
																		</TD>
																	</TR>
																</TABLE>
															</ItemTemplate>
														</asp:TemplateColumn>
													</Columns>
													<PagerStyle BackColor="White" CssClass="grid-pagers" Mode="NumericPages"></PagerStyle>
												</asp:datagrid></TD>
										</TR>
									</TABLE>
								</TD>
							</TR>
						</TABLE>
					</TD>
				</TR>
				<TR height="*">
					<TD vAlign="bottom"><uc1:footer id="Footer1" runat="server"></uc1:footer></TD>
				</TR>
			</TABLE>
		</FORM>
	</body>
</HTML>
