<%@ Register TagPrefix="cc2" Namespace="SharedControls" Assembly="SharedControls" %>
<%@ Register TagPrefix="uc1" TagName="Footer" Src="Footer.ascx" %>
<%@ Register TagPrefix="uc1" TagName="Banner" Src="Banner.ascx" %>
<%@ Page Language="vb" AutoEventWireup="false" Codebehind="TimeEntry.aspx.vb" Inherits="EasyProjects.Web.GUI.TimeEntry"%>
<%@ Register TagPrefix="jsc" Namespace="JSCalendar" Assembly="JSCalendar" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
	<HEAD>
		<title>Time Log | Easy Projects .NET</title>
		<meta content="Microsoft Visual Studio .NET 7.1" name="GENERATOR">
		<meta content="Visual Basic .NET 7.1" name="CODE_LANGUAGE">
		<meta content="JavaScript" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
		<LINK href="style.css" type="text/css" rel="stylesheet">
		<script language="javascript" src="script.js" type="text/javascript"></script>
	</HEAD>
	<body id="pageBody" runat="server">
		<FORM id="Form2" method="post" runat="server">
			<input id="TaskValue" type="hidden" name="TaskValue" runat="server">
			<TABLE id="Table1" height="100%" cellSpacing="0" cellPadding="0" width="100%" border="0">
				<TR height="1%">
					<TD vAlign="top"><uc1:banner id="Banner1" runat="server"></uc1:banner></TD>
				</TR>
				<TR vAlign="top" height="88.1%">
					<TD>
						<TABLE id="Table2" height="100%" cellSpacing="5" cellPadding="5" width="100%" border="0">
							<TR>
								<TD vAlign="top" height="100%">
									<TABLE id="oo" height="100%" cellSpacing="5" cellPadding="5" width="100%">
										<TR>
											<TD id="t_left" vAlign="top" width="260">
												<TABLE class="panel" style="MARGIN-TOP: 10px" cellSpacing="2" cellPadding="2" border="0">
													<TR>
														<TD class="panel-title" align="left">{ADDENTRY}</TD>
													</TR>
													<TR style="BACKGROUND-COLOR: #075b98" height="0.81px">
														<TD></TD>
													</TR>
													<TR>
														<TD class="filter-title">{PROJECT}:
															<asp:requiredfieldvalidator id="RequiredFieldValidator2" runat="server" ControlToValidate="ProjectList" ErrorMessage="{VAL_PROJ}"
																Display="Dynamic">*</asp:requiredfieldvalidator></TD>
													</TR>
													<TR>
														<TD><asp:dropdownlist id="ProjectList" runat="server" Width="100%" CssClass="input" AutoPostBack="False"></asp:dropdownlist></TD>
													</TR>
													<TR>
														<TD class="filter-title">{TASK}:
															<asp:customvalidator id="reqTask" ErrorMessage="{VAL_TASK}" Display="Static" Runat="server" EnableClientScript="False">*</asp:customvalidator></TD>
													</TR>
													<TR>
														<TD><asp:dropdownlist id="TaskList" runat="server" Width="100%" CssClass="input" EnableViewState="True"></asp:dropdownlist></TD>
													</TR>
													<TR>
														<TD><asp:validationsummary id="ValidationSummary1" runat="server" Width="100%" HeaderText="{VALID_SUMM_TEXT}"></asp:validationsummary></TD>
													</TR>
													<TR>
														<TD>
															<TABLE class="ex" cellSpacing="0" cellPadding="2" width="100%" border="0">
																<TR>
																	<TD class="filter-title"></TD>
																	<TD><asp:requiredfieldvalidator id="Requiredfieldvalidator1" runat="server" ControlToValidate="Hours" ErrorMessage="{VAL_HOURS1}"
																			display="Dynamic">*</asp:requiredfieldvalidator><asp:comparevalidator id="CompareValidator1" runat="server" ControlToValidate="Hours" ErrorMessage="{VAL_HOURS2}"
																			Display="Dynamic" Type="Double" Operator="DataTypeCheck">*</asp:comparevalidator><asp:rangevalidator id="RangeValidator1" runat="server" ControlToValidate="Hours" ErrorMessage="{VAL_HOURS3}"
																			Type="Double" MaximumValue="24" MinimumValue="0">*</asp:rangevalidator><asp:customvalidator id="cvHoursPositive" runat="server" ErrorMessage="{VAL_HOURS4}">*</asp:customvalidator></TD>
																	<TD class="filter-title"><asp:comparevalidator id="Comparevalidator3" runat="server" ControlToValidate="tbPercent" ErrorMessage="{VAL_PERCENT1}"
																			Display="Dynamic" Type="Integer" Operator="DataTypeCheck">*</asp:comparevalidator><asp:rangevalidator id="Rangevalidator3" runat="server" ControlToValidate="tbPercent" ErrorMessage="{VAL_PERCENT2}"
																			Type="Integer" MaximumValue="100" MinimumValue="0">*</asp:rangevalidator><asp:RequiredFieldValidator runat="server" ControlToValidate="tbPercent" ErrorMessage="{VAL_PERCENT3}" id="RequiredFieldValidator3">*</asp:RequiredFieldValidator></TD>
																</TR>
																<TR valign="top">
																	<TD class="filter-title">{DAY}</TD>
																	<TD class="filter-title">{HOURS}</TD>
																	<TD class="filter-title">{PERCENTCOMPLETE}</TD>
																</TR>
																<TR>
																	<TD style="PADDING-TOP: 13px"><%--asp:dropdownlist id="Days" runat="server" Width="104px" CssClass="input"></asp:dropdownlist--%>
																		<jsc:JSCalendarControl id="DaysPicker" runat="server" Width="85px" CssClass="input" PostBackOnChange="False"
																			RequiredValidatorMessage="{DAY_REQV}" CompareValidatorMessage="lala" RangeValidatorMessage="{DAY_ERROR}"
																			IsRequiredField="True" />
																	</TD>
																	<TD><asp:textbox id="Hours" runat="server" Width="32px" CssClass="input" Columns="5" MaxLength="5"></asp:textbox></TD>
																	<TD align="right"><asp:textbox id="tbPercent" runat="server" Width="32px" CssClass="input" Columns="5" MaxLength="3"></asp:textbox>&nbsp;%</TD>
																</TR>
															</TABLE>
														</TD>
													</TR>
													<TR>
														<TD class="filter-title">{DESCR}:
															<asp:requiredfieldvalidator id="Requiredfieldvalidator4" runat="server" ControlToValidate="Description" ErrorMessage="{VAL_DESCR}"
																display="Dynamic" Height="4px">*</asp:requiredfieldvalidator></TD>
													</TR>
													<TR>
														<TD><asp:textbox id="Description" runat="server" Width="100%" CssClass="input" Columns="30" Rows="9"
																TextMode="MultiLine"></asp:textbox></TD>
													</TR>
													<TR>
														<TD align="right"><cc2:myimagebutton id="btnAddEntry" runat="server" DisabledImageUrl="images/timelog_add_entry_disabled.png"
																ImageUrl="images/timelog_add_entry.png"></cc2:myimagebutton><IMG height="8" src="images/spacer.gif" width="8">
														</TD>
													</TR>
												</TABLE>
												<TABLE class="panel" id="Table3" style="MARGIN-TOP: 10px" cellSpacing="2" cellPadding="2"
													border="0">
													<TR>
														<TD class="panel-title" align="left" colSpan="2"><asp:label id="summText" runat="server" EnableViewState="False">SUMMTEXT</asp:label>:&nbsp;
															<asp:label id="summValue" runat="server" ForeColor="Black">0</asp:label>&nbsp;<FONT color="#000000">{HRS}</FONT></TD>
													</TR>
													<TR style="BACKGROUND-COLOR: #075b98" height="0.81px">
														<TD></TD>
													</TR>
													<TR>
														<TD colSpan="2"><asp:image id="TimeGraph" Runat="server" EnableViewState="False" Height="130px" ImageUrl="TimeEntryBarChart.aspx?xValues=0&amp;yValues=0"></asp:image></TD>
													</TR>
												</TABLE>
											</TD>
											<TD id="t_right" vAlign="top" rowSpan="2">
												<TABLE class="panel" style="MARGIN-TOP: 10px" cellSpacing="2" cellPadding="2" width="100%"
													border="0">
													<TR>
														<TD>
															<TABLE style="MARGIN-TOP: 10px" height="95%" cellSpacing="2" cellPadding="2" width="500"
																border="0">
																<TR vAlign="top">
																	<TD class="filter-title" noWrap>{CHOOSEUSER}:</TD>
																	<TD><asp:dropdownlist id="userList" runat="server" Width="150px" CssClass="input" AutoPostBack="True"
																			DataTextField=" " DataValueField=" "></asp:dropdownlist></TD>
																	<TD class="filter-title" vAlign="top">{PERIODSTART}:</TD>
																	<TD vAlign="top"><jsc:JSCalendarControl id="periodStart" runat="server" Width="90px" CssClass="input" PostBackOnChange="False"
																			RequiredValidatorMessage="{WEEKEND_FROM_REQD}" EnableValidate="false" CompareValidatorMessage="{WEEKEND_FROM_ERROR}"
																			IsRequiredField="True" />
																	</TD>
																	<TD class="filter-title">{PERIODEND}:</TD>
																	<TD><jsc:JSCalendarControl id="periodEnd" EnableValidate="false" runat="server" Width="90px" CssClass="input"
																			PostBackOnChange="False" RequiredValidatorMessage="{WEEKEND_TO_REQD}" RangeValidatorMessage="{WEEKEND_TO_ERROR}"
																			IsRequiredField="True" /></TD>
																	<TD class="filter-title">
																		<cc2:myimagebutton id="btnRefresh" runat="server" DisabledImageUrl="images/refresh_disabled.png" ImageUrl="images/refresh.png"
																			CausesValidation="False"></cc2:myimagebutton><BR>
																	</TD>
																</TR>
																<tr>
																	<td colspan="2"></td>
																	<td colspan="5" nowrap><div id="info_message" name="info_message" style="COLOR: red"></div>
																	</td>
																</tr>
															</TABLE>
														</TD>
													</TR>
													<TR>
														<TD>
															<TABLE id="nodataTable" width="100%" border="0" runat="server">
																<TR>
																	<TD>{NODATAMSG}</TD>
																</TR>
															</TABLE>
															<asp:datagrid id="TimeEntryGrid" runat="server" Width="100%" CssClass="object-list" height="100%"
																DataKeyField="EntryLogID" ShowFooter="False" BorderColor="White" CellPadding="2" AllowSorting="True"
																AutoGenerateColumns="False" BorderWidth="0px" BorderStyle="None">
																<AlternatingItemStyle CssClass="list-alt-item" VerticalAlign="Top"></AlternatingItemStyle>
																<ItemStyle CssClass="list-item" VerticalAlign="Top"></ItemStyle>
																<HeaderStyle CssClass="object-list-header"></HeaderStyle>
																<FooterStyle CssClass="object-list-header"></FooterStyle>
																<Columns>
																	<asp:HyperLinkColumn DataNavigateUrlField="EntryLogID" DataNavigateUrlFormatString="TEDetails.aspx?id={0}"
																		DataTextField="EntryDate" HeaderText="Date" DataTextFormatString="{0:d}">
																		<HeaderStyle Width="10%" CssClass="object-list-header"></HeaderStyle>
																		<ItemStyle Width="10%" CssClass="list-item-inst"></ItemStyle>
																		<FooterStyle CssClass="object-list-header"></FooterStyle>
																	</asp:HyperLinkColumn>
																	<asp:BoundColumn Visible="False" DataField="EntryLogID" HeaderText="ID">
																		<HeaderStyle Width="5%" CssClass="object-list-header"></HeaderStyle>
																		<FooterStyle CssClass="object-list-header"></FooterStyle>
																		<ItemStyle CssClass="list-item-inst"></ItemStyle>
																	</asp:BoundColumn>
																	<asp:TemplateColumn HeaderText="Entered by">
																		<HeaderStyle Width="10%" CssClass="object-list-header"></HeaderStyle>
																		<ItemStyle Width="10%" CssClass="list-item-inst"></ItemStyle>
																		<FooterStyle CssClass="object-list-header"></FooterStyle>
																		<ItemTemplate>
																			<asp:label id=Label2 Width="40px" Text='&nbsp;<%# DataBinder.Eval(Container, "DataItem.EnteredByName") %>' Runat="server">
																			</asp:label>
																		</ItemTemplate>
																	</asp:TemplateColumn>
																	<asp:TemplateColumn HeaderText="Project / Task">
																		<HeaderStyle Width="25%" CssClass="object-list-header"></HeaderStyle>
																		<ItemStyle Width="25%" CssClass="list-item-inst"></ItemStyle>
																		<FooterStyle CssClass="object-list-header"></FooterStyle>
																		<ItemTemplate>
																			<table border="0">
																				<tr>
																					<td colspan="2"><A href='ProjectDetails.aspx?id=<%# DataBinder.Eval(Container, "DataItem.ProjectID") %>'>
																							<asp:label id=EntryProject Runat="server" Text='&nbsp;<%# DataBinder.Eval(Container, "DataItem.ProjectName") %>'>
																							</asp:label></A></td>
																				</tr>
																				<tr>
																					<td colspan="2"><A href='TaskDetails.aspx?id=<%# DataBinder.Eval(Container, "DataItem.TaskID") %>'>
																							<asp:label id="Label3" Runat="server" Text='&nbsp;<%# DataBinder.Eval(Container, "DataItem.TaskTitle") %>'>
																							</asp:label></A></td>
																				</tr>
																				<!-- <tr>
																					<td style="white-space:nowrap" class="highlight">{PERCENTCOMPLETE}</td>
																					<td>
																						<img src='Progress.aspx?width=50&height=5&total=100&current=<%# DataBinder.Eval(Container, "DataItem.Progress") %>' border="0">
																					</td>
																				</tr>-->
																			</table>
																		</ItemTemplate>
																	</asp:TemplateColumn>
																	<asp:HyperLinkColumn Visible="False" DataNavigateUrlField="TaskID" DataNavigateUrlFormatString="TaskDetails.aspx?id={0}"
																		DataTextField="TaskTitle" HeaderText="Task">
																		<HeaderStyle Width="30%" CssClass="object-list-header"></HeaderStyle>
																		<ItemStyle CssClass="list-item-inst"></ItemStyle>
																		<FooterStyle CssClass="object-list-header"></FooterStyle>
																	</asp:HyperLinkColumn>
																	<asp:TemplateColumn Visible="False" HeaderText="Category">
																		<HeaderStyle Width="5%" CssClass="object-list-header"></HeaderStyle>
																		<ItemStyle CssClass="list-item-inst"></ItemStyle>
																		<FooterStyle CssClass="object-list-header"></FooterStyle>
																		<ItemTemplate>
																			<asp:label ID="EntryCategory" Text='&nbsp;<%# DataBinder.Eval(Container, "DataItem.CategoryName") %>' Runat="server" />
																		</ItemTemplate>
																	</asp:TemplateColumn>
																	<asp:TemplateColumn HeaderText="Hours">
																		<HeaderStyle Width="5%" CssClass="object-list-header"></HeaderStyle>
																		<ItemStyle Width="5%" CssClass="list-item-inst"></ItemStyle>
																		<FooterStyle CssClass="object-list-header"></FooterStyle>
																		<ItemTemplate>
																			<asp:label ID="EntryDuration" Text='&nbsp;<%# DataBinder.Eval(Container.DataItem, "Duration", "{0:f}") %>' Runat="server" />
																		</ItemTemplate>
																	</asp:TemplateColumn>
																	<asp:TemplateColumn HeaderText="Description">
																		<HeaderStyle Width="25%" CssClass="object-list-header"></HeaderStyle>
																		<ItemStyle Width="25%" CssClass="list-item-inst-ww"></ItemStyle>
																		<FooterStyle CssClass="object-list-header"></FooterStyle>
																		<ItemTemplate>
																			<asp:label id=GridDescription Text='<%# CType(DataBinder.Eval(Container, "DataItem.Description"), String).Replace(vbCrLf, "<br>") %>' Runat="server">
																			</asp:label>
																		</ItemTemplate>
																	</asp:TemplateColumn>
																	<asp:ButtonColumn Text="Delete" HeaderText="Delete" CommandName="Delete">
																		<HeaderStyle Width="5%" CssClass="object-list-header"></HeaderStyle>
																		<ItemStyle Width="5%" CssClass="list-item-inst"></ItemStyle>
																		<FooterStyle CssClass="object-list-header"></FooterStyle>
																	</asp:ButtonColumn>
																	<asp:TemplateColumn HeaderText="Billable">
																		<HeaderStyle Width="5%" CssClass="object-list-header"></HeaderStyle>
																		<ItemStyle Width="5%" CssClass="list-item-inst"></ItemStyle>
																		<FooterStyle CssClass="object-list-header"></FooterStyle>
																		<ItemTemplate>
																			<asp:CheckBox id="chkBillable" runat="server"></asp:CheckBox>
																		</ItemTemplate>
																		<FooterTemplate>
																		</FooterTemplate>
																	</asp:TemplateColumn>
																</Columns>
															</asp:datagrid>
														</TD>
													</TR>
													<tr>
														<td valign="top" align="right"><table cellpadding="0" cellspacing="0">
																<tr>
																	<td valign="top"><asp:LinkButton id="UpdateBillableBtn" CssClass="printerlink" runat="server" CausesValidation="False">Update</asp:LinkButton>&nbsp;&nbsp;<br>
																		<br>
																	</td>
																</tr>
															</table>
														</td>
													</tr>
												</TABLE>
											</TD>
										</TR>
									</TABLE>
								</TD>
							</TR>
						</TABLE>
					</TD>
				</TR>
				<TR height="*">
					<TD vAlign="bottom"><uc1:footer id="Footer1" runat="server"></uc1:footer></TD>
				</TR>
			</TABLE>			
		</FORM>
	</body>
</HTML>
