-- Fix problem with add 'task that' records that were created by bug/request assignment
-- these record should have ADD action rather than UPDATE
UPDATE TT_Workflow SET [Action] = 1 WHERE [Description] LIKE 'This task was added'
GO

-- fix problem with "billable" (boolean) datasource fields
UPDATE RG_DatasourceField SET Datatype=4 WHERE FieldName LIKE 'Billable'

-- Alter version table - add minor build column
ALTER TABLE TT_Version ADD MinorBuild int;
GO

UPDATE TT_Version SET Major = 3, Minor = 2, Build = 3, MinorBuild = 1
GO

