<%@ Control Language="vb" AutoEventWireup="false" Codebehind="tvTasks.ascx.vb" Inherits="EasyProjects.Web.GUI.tvTasks" TargetSchema="http://schemas.microsoft.com/intellisense/ie5" %>
<%@ Import Namespace='System.Web' %>
<%@ Import Namespace='System.Data' %>
<%@ Import Namespace='System.Drawing' %>
<%@ Import Namespace='EasyProjects.BusinessLogic.Entities' %>
<%@ Import Namespace='EasyProjects.BusinessLogic.Operations' %>
<%@ Import Namespace='EasyProjects.Web.Security' %>
<%@ Import Namespace='EasyProjects.Web' %>
<%@ Import Namespace='EasyProjects.PermissionSystem' %>
<%@ Register TagPrefix="uc2" TagName="RichGridPagers" Src="./Controls/RichGridPagers.ascx" %>
<asp:datagrid id="dgTasks" Width="100%" CssClass="" AutoGenerateColumns="False" runat="server"
	CellPadding="1"  BorderStyle="none" BorderWidth="1px" bordercolor="white" AllowPaging="False" EnableViewState="False"
	CellSpacing="1">
	<AlternatingItemStyle VerticalAlign="Middle"></AlternatingItemStyle>
	<ItemStyle VerticalAlign="Middle"></ItemStyle>
	<PagerStyle Visible="False"></PagerStyle>
	<Columns>
		<asp:TemplateColumn>
			<ItemStyle HorizontalAlign="Center" Width="23px" VerticalAlign="Middle"></ItemStyle>
			<HeaderTemplate>
				<TABLE width="100%" class="taskgrid-expandall" height="100%" cellSpacing="0" cellPadding="0"
					border="0">
					<TR vAlign="top">
						<TD id="ExpandAll" vAlign="top" align="center" runat="server"></TD>
					</TR>
				</TABLE>
			</HeaderTemplate>
			<ItemTemplate>
				<TABLE class="taskgrid-expandcol-item" height="100%" cellSpacing="0" cellPadding="0" border="0">
					<TR vAlign="top">
						<TD id="plusCell" vAlign="top" align="left" runat="server"></TD>
					</TR>
				</TABLE>
			</ItemTemplate>
		</asp:TemplateColumn>
		<asp:TemplateColumn>
			<HeaderStyle Height="100%" CssClass="object-list-header"></HeaderStyle>
			<ItemStyle Height="100%" VerticalAlign="Middle"></ItemStyle>
			<HeaderTemplate>
				<TABLE class="taskgrid-data-header" cellSpacing="0" cellPadding="0" width="100%" border="0" height="100%">
					<TR id="trHeader" runat="server">
						<TD width="4%">
							<DIV style="WIDTH: 40px; min-width: 40px; max-width: 40px"></DIV>
						</TD>
						<TD style="COLOR: white" width="10%">
							<DIV style="WIDTH: 80px; min-width: 80px; max-width: 80px">{RCOL_ID}</DIV>
						</TD>
						<TD id="tdGridTitle" style="COLOR: white" width="25%" runat="server">
							<DIV style="WIDTH: 120px; min-width: 120px; max-width: 120px">{RCOL_TITLE}</DIV>
						</TD>
						<TD style="COLOR: white" width="10%">
							<DIV style="WIDTH: 80px; min-width: 80px; max-width: 80px"><SPAN id="AssignedTo" runat="server">{RCOL_ASSTO}</SPAN></DIV>
						</TD>
						<TD style="COLOR: white" width="10%">
							<DIV style="WIDTH: 80px; min-width: 80px;0 max-width: 80px"><SPAN id="Progress" runat="server">{RCOL_PROGRESS}</SPAN></DIV>
						</TD>
						<TD style="COLOR: white" width="10%">
							<DIV style="WIDTH: 80px; min-width: 80px; max-width: 80px"><SPAN id="Type" runat="server">{RCOL_TYPE}</SPAN></DIV>
						</TD>
						<TD style="COLOR: white" width="10%">
							<DIV style="WIDTH: 80px; min-width: 80px; max-width: 80px"><SPAN id="Category" runat="server">{RCOL_CATEGORY}</SPAN></DIV>
						</TD>
						<TD style="COLOR: white" width="6%">
							<DIV style="WIDTH: 80px; min-width: 80px; max-width: 80px">{RCOL_STATUS}</DIV>
						</TD>
						<TD style="COLOR: white" width="10%">
							<DIV style="WIDTH: 80px; min-width: 80px; max-width: 80px">{RCOL_DUEDATE}</DIV>
						</TD>
						<TD style="COLOR: white" width="5%">
							<DIV style="WIDTH: 40px; min-width: 40px; max-width: 40px"><SPAN id="spanView" runat="server">{RCOL_VIEW}</SPAN></DIV>
						</TD>
					</TR>
				</TABLE>
			</HeaderTemplate>
			<ItemTemplate>
				<!-- BEGIN DATA ITEM -->
				<TABLE class="taskgrid-data-item" cellSpacing="0" cellPadding="0" width="100%"
					border="0" runat="server" id="dataItemTable">
					<TR id="trData" vAlign="top" height="20" runat="server">
						<TD width="4%">
							<DIV style="WIDTH: 40px; min-width: 40px; max-width: 40px"><%# formatChbColumn(DataBinder.Eval(Container, "DataItem")) %></DIV>
						</TD>
						<TD width="10%">
							<DIV style="WIDTH: 80px; min-width: 80px; max-width: 80px"><%# formatIDColumn(DataBinder.Eval(Container, "DataItem")) %></DIV>
						</TD>
						<TD id="tdTitle" width="25%" runat="server">
							<DIV style="WIDTH: 120px; min-width: 120px; max-width: 120px">
								<table border="0" cellpadding="0" cellspacing="0">
									<tr>
										<td>
											<%# formatTitleColumn(DataBinder.Eval(Container, "DataItem")) %>
										</td>
									</tr>
								</table>
							</DIV>
						</TD>
						<TD id="tdAssignedTo" width="10%" runat="server">
							<DIV style="WIDTH: 80px; min-width: 80px; max-width: 80px"><%# DataBinder.Eval(Container, "DataItem.AssignedTo") %></DIV>
						</TD>
						<TD id="tdProgress" width="10%" runat="server">
							<DIV style="WIDTH: 80px; min-width: 80px; max-width: 80px"><IMG title='<%# DataBinder.Eval(Container, "DataItem.PercentCompleted") %>%' src='Progress.aspx?width=50&amp;height=5&amp;total=100&amp;current=<%# DataBinder.Eval(Container, "DataItem.PercentCompleted") %>' border=0></DIV>
						</TD>
						<TD id="tdType" width="10%" runat="server">
							<DIV style="WIDTH: 80px; min-width: 80px; max-width: 80px"><%# DataBinder.Eval(Container, "DataItem.Type") %></DIV>
						</TD>
						<TD id="tdCategory" width="10%" runat="server">
							<DIV style="WIDTH: 80px; min-width: 80px; max-width: 80px"><%# DataBinder.Eval(Container, "DataItem.Category") %></DIV>
						</TD>
						<TD class="taskgrid-status-item" width="6%">
							<DIV style="WIDTH: 80px; min-width: 80px; max-width: 80px"><%# DataBinder.Eval(Container, "DataItem.Status") %></DIV>
						</TD>
						<TD style="WHITE-SPACE: nowrap" width="10%">
							<DIV style="WIDTH: 80px; min-width: 80px; max-width: 80px"><%# formatDate(DataBinder.Eval(Container, "DataItem.DueDate")) %></DIV>
						</TD>
						<TD width="5%">
							<DIV style="WIDTH: 40px; min-width: 40px; max-width: 40px"><%# formatViewColumn(DataBinder.Eval(Container, "DataItem")) %></DIV>
						</TD>
					</TR>
				</TABLE>
				<table class="taskgrid-data-item" cellSpacing="0" cellPadding="0" width="100%"
					border="0">
					<TR valign="top">
						<TD id='subtasks<%# DataBinder.Eval(Container, "DataItem.ID") %>' width="100%">
							<asp:Label id="subtaskslbl" Runat="server"></asp:Label>
						</TD>
					</TR>
				</table>
				<!-- END DATA ITEM -->
			</ItemTemplate>
		</asp:TemplateColumn>
	</Columns>
</asp:datagrid>
<uc2:RichGridPagers id="RichGridPagersTasks" runat="server"></uc2:RichGridPagers>									
