<%@ Control Language="vb" AutoEventWireup="false" Codebehind="ProjectBilling.ascx.vb" Inherits="EasyProjects.Web.GUI.ProjectBilling" TargetSchema="http://schemas.microsoft.com/intellisense/ie5" %>
<%@ Register TagPrefix="jsc" Namespace="JSCalendar" Assembly="JSCalendar" %>
<%@ Register TagPrefix="cc1" Namespace="SharedControls" Assembly="SharedControls" %>
<input id="doRefresh" type="hidden" value="0" name="doRefresh" runat="server">
<TABLE id="Table1" cellSpacing="0" cellPadding="0" width="100%" border="0" class="ex">
	<TR>
		<TD class="title" colSpan="4">
			{BILL_TITLE}
		</TD>
	</TR>
	<TR>
		<TD vAlign="top" colSpan="4"><IMG height="8" src="images/spacer.gif" width="8"></TD>
	</TR>
</TABLE>
<TABLE id="Table8" cellSpacing="1" cellPadding="1" width="100%" border="0" class="ex">
	<TR>
		<TD class="filter-title" width="50%">{USE_RATE}</TD>
		<TD class="filter-title" width="50%">{ADD_E_P}:</TD>
	</TR>
	<TR vAlign="top">
		<TD>
			<TABLE id="Table10" cellSpacing="1" cellPadding="1" width="100%" border="0">
				<TR>
					<TD colSpan="2"><asp:radiobutton id="rbtnBillResHourly" runat="server" CssClass="curs" GroupName="rateType" Text="{RB_RESHRLY}"></asp:radiobutton></TD>
				</TR>
				<TR>
					<TD colSpan="2"><asp:radiobutton id="rbtnBillCustHourly" runat="server" CssClass="curs" GroupName="rateType" Text="{RB_CUSTHRLY}"></asp:radiobutton></TD>
				</TR>
				<TR>
					<TD colSpan="2"><asp:radiobutton id="rbtnBillTaskRate" runat="server" CssClass="curs" GroupName="rateType" Text="{RB_TASKRATE}"></asp:radiobutton></TD>
				</TR>
				<TR>
					<TD style="WIDTH: 153px">
						<asp:radiobutton id="rbtnBillProjHourly" CssClass="curs" runat="server" GroupName="rateType" Text="{RB_PROJHRLY}"></asp:radiobutton>
						<asp:comparevalidator id="CompareValidator1" runat="server" EnableClientScript="False" ValueToCompare="0"
							Type="Currency" Operator="GreaterThanEqual" ControlToValidate="billProjHourlyRate" ErrorMessage="Project hourly rate must be a valid positive currency value">*</asp:comparevalidator>
						<asp:customvalidator id="customvalidator_HourlyRate" AlwaysValidate="true" ControlToValidate="billProjHourlyRate"
							runat="server" ErrorMessage="'Project hourly rate' must be a currency value" OnServerValidate="Currency_Validate">*</asp:customvalidator>
					</TD>
					<TD>
						<span id="spanHourly" runat="server">
							<asp:textbox id="billProjHourlyRate" runat="server" MaxLength="8" CssClass="input" Width="73px"
								Text="0"></asp:textbox></span>
					</TD>
				</TR>
				<TR>
					<TD style="WIDTH: 153px">
						<asp:radiobutton id="rbtnBillProjFixed" CssClass="curs" runat="server" GroupName="rateType" Text="{RB_PROJFIXED}"></asp:radiobutton>
						<asp:comparevalidator id="CompareValidator2" runat="server" EnableClientScript="False" ValueToCompare="0"
							Type="Currency" Operator="GreaterThanEqual" ControlToValidate="billProjFixedCost" ErrorMessage="Project fixed cost must be a valid positive currency value">*</asp:comparevalidator>
						<asp:customvalidator AlwaysValidate="true" ControlToValidate="billProjFixedCost" id="customValidator_FixedRate"
							runat="server" ErrorMessage="'Project fixed cost' must be a currency value" OnServerValidate="Currency_Validate">*</asp:customvalidator>
					</TD>
					<TD>
						<span id="spanFixed" runat="server">
							<asp:textbox id="billProjFixedCost" runat="server" MaxLength="8" CssClass="input" Width="73px"
								Text="0"></asp:textbox></span>
					</TD>
				</TR>
			</TABLE>
		</TD>
		<TD>
			<TABLE id="Table11" cellSpacing="1" cellPadding="1" width="100%" border="0">
				<tr>
					<td><asp:radiobuttonlist id="rblExpense" CssClass="curs" runat="server" Width="312px">
							<asp:ListItem Value="1" Selected="True">{RB_ADD_E}</asp:ListItem>
							<asp:ListItem Value="2">{RB_ADD_P}</asp:ListItem>
						</asp:radiobuttonlist></td>
				</tr>
				<tr>
					<td>
						<table id="Table2" height="100%" cellSpacing="0" cellPadding="0" width="100%">
							<TR>
								<TD class="filter-title" style="WIDTH: 177px; HEIGHT: 17px" vAlign="top" width="177">{CPT_DATE}:
									<asp:customvalidator id="cvDateAdd" runat="server" EnableClientScript="False" ErrorMessage="{VAL_DATE1}">*</asp:customvalidator></TD>
								<TD style="HEIGHT: 17px" vAlign="top">{CPT_AMOUNT}:
									<asp:requiredfieldvalidator id="rfvAmountAdd" runat="server" ErrorMessage="{VAL_AMT1}" ControlToValidate="txtAmountAdd"
										EnableClientScript="False">*</asp:requiredfieldvalidator>
									<asp:comparevalidator id="cvAmountAdd" runat="server" ErrorMessage="{VAL_AMT2}" ControlToValidate="txtAmountAdd"
										Operator="DataTypeCheck" Type="Currency" EnableClientScript="False">*</asp:comparevalidator>
									<asp:rangevalidator id="rvAmountAdd" runat="server" ErrorMessage="{VAL_AMT3}" ControlToValidate="txtAmountAdd"
										Type="Currency" EnableClientScript="False" MinimumValue="0" MaximumValue="99999999">*</asp:rangevalidator></TD>
							</TR>
							<tr align="left">
								<td style="WIDTH: 177px" vAlign="top" width="177">
									<A href="javascript:OpenCalendar('projectBilling_txtDateAdd', false)"></A>
									<jsc:JSCalendarControl id="DateAdd" runat="server" CssClass="input" Width="100px" ShowUpperBlankLine="False"
										RangeValidatorMessage="{VAL_DATE2}" /></td>
								<td vAlign="top"><STRONG><FONT size="1"> </FONT></STRONG>
									<asp:textbox id="txtAmountAdd" runat="server" MaxLength="8" CssClass="input" Width="56px"></asp:textbox>
								</td>
							</tr>
						</table>
					</td>
				</tr>
				<TR>
					<TD class="filter-title">{CPT_DESCR}:
						<asp:requiredfieldvalidator id="rfvDescriptionAdd" runat="server" EnableClientScript="False" ControlToValidate="txtDescrAdd"
							ErrorMessage="{VAL_DESCR}">*</asp:requiredfieldvalidator></TD>
				</TR>
				<tr>
					<td>
						<asp:textbox id="txtDescrAdd" runat="server" CssClass="input" Width="300px" Height="46px" TextMode="MultiLine"></asp:textbox>
					</td>
				</tr>
				<tr>
					<td align="left" colSpan="2"><cc1:myimagebutton id="btnAdd" runat="server" DisabledImageUrl="images/add_disabled.png" ImageUrl="images/add.png"></cc1:myimagebutton>&nbsp;</td>
				</tr>
			</TABLE>
		</TD>
	</TR>
	<tr>
	</tr>
	<TR>
		<TD class="header-gray" colSpan="2">EXPENSES</TD>
	</TR>
	<TR>
		<TD vAlign="top" colSpan="2"><asp:datagrid id="dgExps" runat="server" Width="100%" AllowSorting="True" BorderColor="#EEF3EF"
				font-names="Verdana" Font-Name="Verdana" AutoGenerateColumns="False" CellPadding="2" CssClass="object-list">
				<AlternatingItemStyle CssClass="list-alt-item" VerticalAlign="Top"></AlternatingItemStyle>
				<ItemStyle CssClass="list-item" VerticalAlign="Top"></ItemStyle>
				<HeaderStyle Font-Bold="True" CssClass="object-list-header"></HeaderStyle>
				<FooterStyle VerticalAlign="Top"></FooterStyle>
				<Columns>
					<asp:TemplateColumn SortExpression="1" HeaderText="{COL_DATE}">
						<HeaderStyle HorizontalAlign="Left" Width="20%" CssClass="object-list-header"></HeaderStyle>
						<ItemStyle CssClass="list-item-inst"></ItemStyle>
						<ItemTemplate>
							<%# String.Format("{0:d}", DataBinder.Eval(Container, "DataItem.ExpenseDate")) %>
						</ItemTemplate>
						<EditItemTemplate>
							<asp:textbox id=txtDate Width="84px" Text='<%# String.Format("{0:d}", DataBinder.Eval(Container, "DataItem.ExpenseDate")) %>' MaxLength="20" CssClass="Standard-text" Runat="server" AutoPostBack="false">
							</asp:textbox>
							<asp:CompareValidator id="cvEdDate" runat="server" ValueToCompare="2003/01/01" Type="Date" Operator="DataTypeCheck"
								ControlToValidate="txtDate" ErrorMessage="Incorrect date format">*</asp:CompareValidator>
							<asp:RequiredFieldValidator id="rfvEdDate" runat="server" ControlToValidate="txtDate" ErrorMessage="Date is a required field">*</asp:RequiredFieldValidator>
							<asp:RangeValidator id="valDateRange" runat="server" Type="Date" ControlToValidate="txtDate" ErrorMessage="{EXP_RANGEVALID_DATE_FROM}"
								MinimumValue="1753/01/01" MaximumValue="3000/01/01">*</asp:RangeValidator></P>
						</EditItemTemplate>
					</asp:TemplateColumn>
					<asp:TemplateColumn SortExpression="2" HeaderText="{COL_DESCR}">
						<HeaderStyle HorizontalAlign="Left" Width="50%" CssClass="object-list-header"></HeaderStyle>
						<ItemStyle CssClass="list-item-inst"></ItemStyle>
						<ItemTemplate>
							<%# DataBinder.Eval(Container, "DataItem.HTMLDescription") %>
						</ItemTemplate>
						<EditItemTemplate>
							<asp:textbox id=txtDescr Text='<%# DataBinder.Eval(Container, "DataItem.Description") %>' MaxLength="4" CssClass="Standard-text" Height="46px" TextMode="MultiLine" width="230px" AutoPostBack="false" Runat="server">
							</asp:textbox>
							<asp:requiredfieldvalidator id="rfvEdDescription" runat="server" ControlToValidate="txtDescr" ErrorMessage="Description is a required field"
								display="Dynamic">*</asp:requiredfieldvalidator>
						</EditItemTemplate>
					</asp:TemplateColumn>
					<asp:TemplateColumn SortExpression="3" HeaderText="{COL_AMT}">
						<HeaderStyle HorizontalAlign="Left" Width="15%" CssClass="object-list-header"></HeaderStyle>
						<ItemStyle HorizontalAlign="Right" CssClass="list-item-inst"></ItemStyle>
						<ItemTemplate>
							<%# DataBinder.Eval(Container, "DataItem.Amount") %>
						</ItemTemplate>
						<EditItemTemplate>
							<P>
								<asp:textbox id=txtAmount Text='<%# DataBinder.Eval(Container, "DataItem.Amount")%>' MaxLength="8" CssClass="standard-text-money" Runat="server" AutoPostBack="false" width="70px">
								</asp:textbox>
								<asp:requiredfieldvalidator id="rfvAmount" runat="server" ControlToValidate="txtAmount" ErrorMessage="Amount is a required field"
									display="Dynamic">*</asp:requiredfieldvalidator>
								<asp:RangeValidator id="valAmountRange" runat="server" Type="Currency" ControlToValidate="txtAmount"
									ErrorMessage="Amount must be valid positive currency value" MinimumValue="0" MaximumValue="99999999">*</asp:RangeValidator></P>
						</EditItemTemplate>
					</asp:TemplateColumn>
					<asp:TemplateColumn HeaderText="{COL_EDIT}">
						<HeaderStyle HorizontalAlign="Left" Width="15%" CssClass="object-list-header"></HeaderStyle>
						<ItemStyle HorizontalAlign="Center" CssClass="list-item-inst"></ItemStyle>
						<ItemTemplate>
							<asp:ImageButton id="btnEdit" runat="server" ImageUrl="images/edit.gif" CausesValidation="false"
								ToolTip="Edit this expense" CommandName="Edit"></asp:ImageButton><IMG src="images/spacer.gif" width="3">
							<asp:ImageButton id="btnDelete" ImageUrl="images/delete.gif" CausesValidation="False" ToolTip="Delete this expense"
								CommandName="Delete" Runat="server"></asp:ImageButton>
						</ItemTemplate>
						<EditItemTemplate>
							<asp:ImageButton id="btnSave" runat="server" ImageUrl="images/icon-floppy.gif" CausesValidation="True"
								ToolTip="Save this expense" CommandName="Update"></asp:ImageButton><IMG src="images/spacer.gif" width="3">
							<asp:ImageButton id="btnCancel" runat="server" ImageUrl="images/cancel.gif" CausesValidation="false"
								ToolTip="Cancel editing" CommandName="Cancel"></asp:ImageButton>
						</EditItemTemplate>
					</asp:TemplateColumn>
				</Columns>
			</asp:datagrid><asp:label id="lblNoExp" runat="server" CssClass="standard-text">No recorded expenses</asp:label><BR>
		</TD>
	</TR>
	<TR>
		<TD class="header-gray" colSpan="2">PAYMENTS</TD>
	</TR>
	<TR>
		<TD vAlign="top" colSpan="2"><asp:datagrid id="dgPays" runat="server" Width="100%" AllowSorting="True" BorderColor="#EEF3EF"
				AutoGenerateColumns="False" CellPadding="2" CssClass="object-list">
				<AlternatingItemStyle CssClass="list-alt-item" VerticalAlign="Top"></AlternatingItemStyle>
				<ItemStyle CssClass="list-item" VerticalAlign="Top"></ItemStyle>
				<HeaderStyle CssClass="object-list-header"></HeaderStyle>
				<Columns>
					<asp:TemplateColumn SortExpression="1" HeaderText="{COL_DATE}">
						<HeaderStyle CssClass="object-list-header"></HeaderStyle>
						<ItemStyle CssClass="list-item-inst"></ItemStyle>
						<ItemTemplate>
							<%# String.Format("{0:d}", DataBinder.Eval(Container, "DataItem.PaymentDate")) %>
						</ItemTemplate>
						<EditItemTemplate>
							<asp:textbox id=txtDate_p Width="84px" Text='<%# String.Format("{0:d}", DataBinder.Eval(Container, "DataItem.PaymentDate")) %>' MaxLength="20" CssClass="Standard-text" Runat="server" AutoPostBack="false">
							</asp:textbox>
							<asp:CompareValidator id="cvEdDate_p" runat="server" ValueToCompare="2003/01/01" Type="Date" Operator="DataTypeCheck"
								ControlToValidate="txtDate_p" ErrorMessage="Incorrect date format" Display="Dynamic">*</asp:CompareValidator>
							<asp:RequiredFieldValidator id="rfvEdDate_p" runat="server" ControlToValidate="txtDate_p" ErrorMessage="Date is a required field"
								Display="Dynamic">*</asp:RequiredFieldValidator>
							<asp:RangeValidator id="valDateRange_p" runat="server" Type="Date" ControlToValidate="txtDate_p" ErrorMessage="{PAY_RANGEVALID_DATE_FROM}"
								MinimumValue="1753/01/01" MaximumValue="3000/01/01">*</asp:RangeValidator>
						</EditItemTemplate>
					</asp:TemplateColumn>
					<asp:TemplateColumn SortExpression="2" HeaderText="{COL_DESCR}">
						<HeaderStyle HorizontalAlign="Left" Width="50%" CssClass="object-list-header"></HeaderStyle>
						<ItemStyle CssClass="list-item-inst"></ItemStyle>
						<ItemTemplate>
							<%# DataBinder.Eval(Container, "DataItem.HTMLDescription") %>
						</ItemTemplate>
						<EditItemTemplate>
							<asp:textbox id=txtDescr_p Text='<%# DataBinder.Eval(Container, "DataItem.Description") %>' MaxLength="4" CssClass="Standard-text" Height="46px" TextMode="MultiLine" width="230px" AutoPostBack="false" Runat="server">
							</asp:textbox>
							<asp:requiredfieldvalidator id="Requiredfieldvalidator1" runat="server" ControlToValidate="txtDescr_p" ErrorMessage="Description is a required field"
								display="Dynamic">*</asp:requiredfieldvalidator>
						</EditItemTemplate>
					</asp:TemplateColumn>
					<asp:TemplateColumn SortExpression="3" HeaderText="{COL_AMT}">
						<HeaderStyle HorizontalAlign="Left" Width="15%" CssClass="object-list-header"></HeaderStyle>
						<ItemStyle HorizontalAlign="Right" CssClass="list-item-inst"></ItemStyle>
						<ItemTemplate>
							<%# DataBinder.Eval(Container, "DataItem.Amount") %>
						</ItemTemplate>
						<EditItemTemplate>
							<asp:textbox id=txtAmount_p Text='<%# DataBinder.Eval(Container, "DataItem.Amount")%>' MaxLength="8" CssClass="standard-text-money" Runat="server" AutoPostBack="false" width="70px">
							</asp:textbox>
							<asp:requiredfieldvalidator id="rfvEdAmount" runat="server" ControlToValidate="txtAmount_p" ErrorMessage="Amount is a required field"
								display="Dynamic">*</asp:requiredfieldvalidator>
							<asp:RangeValidator id="cvEdAmount" runat="server" Type="Currency" ControlToValidate="txtAmount_p" ErrorMessage="Amount must be a positive decimal value"
								MinimumValue="0" MaximumValue="99999999">*</asp:RangeValidator>
						</EditItemTemplate>
					</asp:TemplateColumn>
					<asp:TemplateColumn HeaderText="{COL_EDIT}">
						<HeaderStyle HorizontalAlign="Left" Width="15%" CssClass="object-list-header"></HeaderStyle>
						<ItemStyle HorizontalAlign="Center" CssClass="list-item-inst"></ItemStyle>
						<ItemTemplate>
							<asp:ImageButton id="Imagebutton1" runat="server" CausesValidation="false" ImageUrl="images/edit.gif"
								ToolTip="Edit this payment" CommandName="Edit"></asp:ImageButton><IMG src="images/spacer.gif" width="3">
							<asp:ImageButton id="Imagebutton2" CausesValidation="False" ImageUrl="images/delete.gif" ToolTip="Delete this payment"
								CommandName="Delete" Runat="server"></asp:ImageButton>
						</ItemTemplate>
						<EditItemTemplate>
							<asp:ImageButton id="Imagebutton3" runat="server" CausesValidation="True" ImageUrl="images/icon-floppy.gif"
								ToolTip="Save this payment" CommandName="Update"></asp:ImageButton><IMG src="images/spacer.gif" width="3">
							<asp:ImageButton id="Imagebutton4" runat="server" CausesValidation="false" ImageUrl="images/cancel.gif"
								ToolTip="Cancel payment" CommandName="Cancel"></asp:ImageButton>
						</EditItemTemplate>
					</asp:TemplateColumn>
				</Columns>
			</asp:datagrid><asp:label id="lblNoPay" runat="server" CssClass="standard-text">No recorded payments</asp:label></TD>
	</TR>
</TABLE>
