UPDATE [dbo].[RG_Datasource] 
SET
	[QueryText] = N'SELECT ts.*, proj.Name as ProjectName, stat.StatusName, cat.Name as CategoryName, prior.Name as PriorityName
								FROM TT_Tasks ts
								INNER JOIN TT_Projects proj
								ON proj.ProjectID = ts.ProjectID
								INNER JOIN TT_Statuses stat
								ON stat.ProjectID = ts.ProjectID AND stat.Number = ts.Status
								INNER JOIN TT_Categories cat
								ON cat.CategoryID = ts.CategoryID
								INNER JOIN TT_Priorities prior
								ON prior.Number = ts.Priority AND prior.ProjectID = ts.ProjectID
								WHERE stat.StatusType=''Task'' AND proj.ProjectID IN ?
								UNION ALL
								SELECT ts.*, proj.Name as ProjectName, stat.StatusName, cat.Name as CategoryName, prior.Name as PriorityName
								FROM TT_Tasks ts
								INNER JOIN TT_Projects proj
								ON proj.ProjectID = ts.ProjectID
								INNER JOIN TT_Statuses stat
								ON stat.ProjectID = ts.ProjectID AND stat.Number = ts.Status
								INNER JOIN TT_Categories cat
								ON cat.CategoryID = ts.CategoryID
								INNER JOIN TT_Priorities prior
								ON prior.Number = ts.Priority AND prior.ProjectID = ts.ProjectID
								WHERE stat.StatusType=''Task'' AND proj.ProjectID IN ?
								AND EXISTS (SELECT * FROM TT_TaskAssignee ta WHERE 
								ta.TaskID = ts.TaskID AND ta.UserID = ?)'
WHERE [dbo].[RG_Datasource].[DatasourceID] = 2
GO

UPDATE TT_Version SET Major = 3, Minor = 2, Build = 4, MinorBuild = 1
GO